<?php

namespace App\Helpers;

use Illuminate\Support\Facades\Storage;

class Checklinkfile
{
    private $links;
    private $link;
    private $islocal;
    private $route;
    /**
     * route - caminho dos arquivos
     * 1 - documentos
     * 2 - protocolos
     * 3 - img disciplinas
     * 4 - recursos_banner
     * 5 - recursos_arquivos
     */

    public function __construct(string $filename, int $route, int $idMatricula = null)
    {
        switch ($route) {
            case 1:
                $this->links    = [
                    env('APP_URL_FAC'),
                    env('APP_URL_SAV'),
                    env('APP_URL_SAV2'),
                    env('APP_URL_SAV3'),
                    env('APP_URL_SAV5'),
                    env('APP_URL_SAV6')
                ];
                $this->route = '/storage/docs/alunos/' . base64_encode($idMatricula) . '/' . $filename;
                break;
            case 2:
                $this->links    = [
                    env('APP_URL_FAC'),
                    env('APP_URL_SAV'),
                    env('APP_URL_SAV2'),
                    env('APP_URL_SAV3'),
                    env('APP_URL_SAV5'),
                    env('APP_URL_SAV6')
                ];

                $this->route = '/storage/arquivos/protocolo/' . $filename;
                break;
            case 3: //capa da disciplina
                $this->links    = [
                    env('APP_URL_FAC'),
                    env('APP_URL_SAV'),
                    env('APP_URL_SAV2'),
                    env('APP_URL_SAV3'),
                    env('APP_URL_SAV5'),
                    env('APP_URL_SAV6')
                ];
                $this->route = '/storage/disciplinas/' . $filename;
                break;
            case 4:
                $this->links    = [
                    env('APP_URL_FAC'),
                    env('APP_URL_SAV'),
                    env('APP_URL_SAV2'),
                    env('APP_URL_SAV3'),
                    env('APP_URL_SAV5'),
                    env('APP_URL_SAV6')
                ];
                $this->route = '/storage/recursos_banner/' . $filename;
                break;
            case 5:
                $this->links    = [
                    env('APP_URL_FAC'),
                    env('APP_URL_SAV'),
                    env('APP_URL_SAV2'),
                    env('APP_URL_SAV3'),
                    env('APP_URL_SAV5'),
                    env('APP_URL_SAV6')
                ];
                $this->route = '/storage/recursos_arquivos/' . $filename;
                break;
            case 6:
                //next
                break;
        }

        $this->checkFile();
    }

    private function checkFile()
    {
        foreach ($this->links as $link) {
            $arquivo = $link . $this->route;
            $statusCode = $this->urlExists($arquivo);
            if ( $statusCode ) {
                return $this->setLink($arquivo);
            }
        }
    }

    private function urlExists($arquivo)
    {
        $statusCode = get_headers($arquivo);
        $validar = explode(" ", $statusCode[0]);
        $validarArquivo = $validar[1];
        return (in_array($validarArquivo, [200, 302])) ? true : false;
    }

    private function _checkFile()
    {
        switch (env('C_ACTIVE')) {
            case 0:
                if ($this->checkLocalFile()) {
                    break;
                }

                if (sizeof($this->links) > 0) {
                    foreach ($this->links as $key => $link) {
                        if ($this->checkUrlFile($link)) {
                            break;
                        }
                    }
                }

                if (!$this->getLink())
                    $this->setLink('#');
                break;
            case 1:
                if ($this->checkLocalFile()) {
                    break;
                }

                $this->links[] = env('LINK_DOC');
                foreach ($this->links as $key => $link) {
                    if ($this->checkUrlFile($link)) {
                        break;
                    }
                }

                if (!$this->getLink())
                    $this->setLink('#');
                break;
            default:
                //do nothing
                break;
        }
    }

    private function checkLocalFile()
    {
        $route = str_replace('/storage/', '', $this->route);
        if (Storage::disk('public')->exists($route)) {
            $this->setIsLocal(true);
            $this->setLink(asset($this->route));
            return true;
        }
        $this->setIsLocal(false);
        return false;
    }

    private function checkUrlFile($url)
    {
        $url = $url . $this->route . '/';

        $context = stream_context_create(['http' => ['header' => 'Connection: close\r\n']]);
        if (@file_get_contents($url, false, $context)) {
            $this->setLink($url);
            return true;
        }
        return false;
    }

    private function setIsLocal(bool $isLocal)
    {
        $this->islocal = $isLocal;
    }

    public function getIsLocal()
    {
        return $this->islocal;
    }

    private function setLink($url)
    {
        $this->link = $url;
    }

    public function getLink()
    {
        return $this->link;
    }
}
