<?php

namespace App\Http\Controllers\Aluno;

use App\Helpers\Checklinkfile;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use App\Http\Controllers\Controller;
use App\Models\Alunos_matricula;
use Illuminate\Encryption\Encrypter;

use App\Models\AlunosMatricula;
use App\Models\AlunosMatriculasNota;
use App\Models\DisciplinasEad;
use App\Models\Disciplinas;
use App\Models\Turma;
use App\Models\MatriculaProvaQuestaoAlternativa;
use Google\Service\Fitness\Session;
use Illuminate\Support\Facades\Auth;
use Symfony\Component\HttpFoundation\Cookie;

class AlunoController extends Controller
{

    private $matricula, $disciplinaEad, $disciplina , $matNotas, $turmas;

    public function __construct(Alunos_matricula $mat,
                                DisciplinasEad $ead,
                                AlunosMatriculasNota $mNotas,
                                Disciplinas $disc,
                                Turma $tur)
    {
        $this->matricula        = $mat;
        $this->disciplinaEad    = $ead;
        $this->disciplina       = $disc;
        $this->matricula        = $mat;
        $this->matNotas         = $mNotas;
        $this->turmas           = $tur;
    }

    /**
     * Tela inicial - resgata dados de session do portal do aluno
     *
     * @param Request $request
     * @return void
     */
    public function index(Request $request)
    {
        ini_set('max_execution_time', '0');
        // dd($request->session());
        // verifica se sessão esta aberta
        if($request->session()->get('matricula') == null){
            Auth::logout();
            $request->session()->flush();
            return redirect()->route('login')->with('error', 'Sessão encerrada!');
        }

        // verifica data de inicio do aluno para montar cronograma
        $matricula = $this->matricula->find($request->session()->get('matricula')['idMatricula']);

        // switch($matricula->empresas_id) {
        //     case 5 :
        //     case 7 :
        //     case 8 :
        //         $urlCallback = env('LSAVESTRATEGO');
        //     break;
        //     case 6 :
        //     case 13 :
        //     case 12 :
        //         $urlCallback = env('LSAVCARREIRA');
        //     break;
        //     case 17 :
        //     case 18 :
        //     case 9 :
        //     case 15 :
        //         $urlCallback = env('LSAVINEX');
        //     break;
        //     default :
        //         $urlCallback = env('LSAVESTRATEGO');
        //     break;
        // }
        // setcookie('login', $urlCallback);

        if($matricula->modalidade == 3){
            $turma = $this->turmas->getTurmaCurso($matricula->turmas_id);
            $diaInicio = formataDataHora($turma->dataInicioAula, 'Y-m-d');

        }else{
            if($matricula->dataInicioAula){
                $diaInicio = $matricula->dataInicioAula;
            }else{
                $diaInicio = formataDataHora($matricula->created_at, 'Y-m-d');
            }
        }
        // verifica se o aluno é presencial, semi ou EAD
        if (in_array($matricula->modalidade, [1,3])) {
            $listaDisciplinas = $this->disciplinaEad->getDisciplinaTurma($matricula->turmas_id);
        } else {
            $listaDisciplinas = $this->disciplinaEad->getDisciplinasEADCurso($request->session()->get('matricula')['idCurso']);
        }
        //dd($listaDisciplinas);
        $disciplinas = [];
        if($listaDisciplinas->count() > 0){
            foreach($listaDisciplinas as $disc){
                $disciplina = $this->disciplina->find($disc->disciplina_id);

                // somente disciplinas ativas
                //dd($request->session()->get('matricula')['idMatricula']);
                //dd($disciplina );
                if($disciplina && $disc->statusDisciplina == 1){
                    $matNotas =$this->matNotas->getListaNotasAlunoDisciplina($request->session()->get('matricula')['idMatricula'],$disc->disciplina_id);

                    if($disc->diasLiberacao == 0){
                        $dataLiberacao = $diaInicio;
                    }else{
                        $dataLiberacao = date('Y-m-d', strtotime("+{$disc->diasLiberacao} days", strtotime($diaInicio)));
                    }

                    if ($disc->imgCapa) {
                        $fileLink       = new Checklinkfile($disc->imgCapa, 3);
                        $disc->imgCapa  = $fileLink->getLink();
                    }
                 
                    if($matNotas->count() > 0){
                        $lnDisciplina = [
                            'idDisciplinaEAD'   => $disc->id,
                            'imgCapa'           => $disc->imgCapa,
                            'nomeDisciplina'    => $disciplina->nomeDisciplina,
                            'descDisciplina'    => $disciplina->descDisciplina,
                            'dataLiberacao'     => $dataLiberacao,
                            'matNotas'          => $matNotas[0]->tipoRegistro,                           
                            'ementaDisciplina'  => $disciplina->ementaDisciplina
                        ];
                        array_push($disciplinas, $lnDisciplina);
                    }else{

                        $lnDisciplina = [
                            'idDisciplinaEAD'   => $disc->id,
                            'imgCapa'           => $disc->imgCapa,
                            'nomeDisciplina'    => $disciplina->nomeDisciplina,
                            'descDisciplina'    => $disciplina->descDisciplina,
                            'dataLiberacao'     => $dataLiberacao,
                            'matNotas'          => '1',
                            'ementaDisciplina'  => $disciplina->ementaDisciplina
                        ];
                        array_push($disciplinas, $lnDisciplina);
                    }

                }

            }

        }

        return view('aluno.home.index', compact('disciplinas' , 'matNotas'));
    }

    /**
     * Validação de acesso dos alunos
     *
     * @param [type] $password
     * @return void
     */
    public function login($password, Request $request)
    {
        $chave = "(_e_s_t_r_a_t_e_g_o_@_2_0_1_9_).";
        $key  = new Encrypter($chave, config('app.cipher'));
        $dados = $key->decrypt($password);
        $dados = json_decode($dados);

        $idMatricula = $dados->id;
        // busca dados do aluno para abertura da sessão
        $matricula = $this->matricula->getDadosMatricula($idMatricula);

        switch($matricula->empresa) {
            case 5 :
            case 7 :
            case 8 :
                $urlCallback = env('LSAVESTRATEGO');
                break;
            case 6 :
            case 13 :
            case 12 :
                $urlCallback = env('LSAVCARREIRA');
                break;
            case 17 :
            case 18 :
            case 9 :
            case 15 :
                $urlCallback = env('LSAVINEX');
                break;
            default :
                $urlCallback = env('LSAVESTRATEGO');
                break;
        }

        response('aluno')->cookie(
            'login', $urlCallback
        );

        if($matricula){
            $request->session()->put('matricula', $matricula);

            return redirect()
                        ->route('aluno.home');

        }else{
            return redirect()->route('error.alunoLogin');
        }
    }

    /**
     * Tela de erro de login e abertura de sessão
     *
     * @return void
     */
    public function errorLogin()
    {
        return view('error.loginAluno');
    }


    /**
     * Encerra sessão do Logout
     *
     * @param Request $request
     * @return void
     */
    public function logout(Request $request)
    {
        Auth::logout();
        $request->session()->flush();

        return redirect()->to('https://aluno.estrategovirtual.com.br');
    }

    /**
     * Validação de acesso dos alunos
     *
     * @param [type] $password
     * @return void
     */
    public function prova($prova, Request $request)
    {
        $chave = "(_e_s_t_r_a_t_e_g_o_@_2_0_1_9_).";
        $key  = new Encrypter($chave, config('app.cipher'));
        $dados = $key->decrypt($prova);
        $dados = json_decode($dados);
       
        $matricula = AlunosMatricula::find($dados->id);
        $disc = DisciplinasEad::where('disciplina_id', $dados->idprova)->where('turmas_id',$dados->turmas_id)->first(); 
        //dd($disc);
        $matriculaprova = $matricula->getProva($disc);

        $mat = $this->matricula->getDadosMatricula($matricula->id);

        if($mat){
            $request->session()->put('matricula', $mat);
        }
        //dd($matriculaprova->provaQuestoes());
        if($matriculaprova){
           return view('coordenPresencial.provas.viewprova', ['matriculaprova'=>$matriculaprova]);
        }else{
            return "Erro";
        }
       
    }

    public function setresposta(Request $request){
        $mpqa = MatriculaProvaQuestaoAlternativa::find($request->alternativa);
        if($mpqa->selecionar()){
            return response()->json([
                'alternativa' => $mpqa->id,
                'questao' => $mpqa->questao()->id,
                'msg'=> "Alternativa registrada",
            ]);
        }else{
            return response()->json([
                'alternativa' => $mpqa->id,
                'questao' => $mpqa->questao()->id,
                'msg'=> "Alternativa não registrada",
            ]);
        }
    }
}
