<?php

namespace App\Http\Controllers;

use App\Helpers\Checklinkfile;
use Illuminate\Http\Request;
use App\Models\Aluno;
use App\Models\Alunos_matricula;
use App\Models\Empresa;
use App\Models\Turma;
use App\Models\Curso;
use App\User;
use App\Models\FaqResposta;
use App\Models\FaqPergunta;
use App\Models\Chamado;
use App\Models\ChamadoSuporteAssuntos;
use App\Models\ChamadoMensagem;
use App\Models\ChamadoNotificacao;
use App\Models\ChamadoAnexo;
use App\Models\Usuario;
use App\Models\ChamadoAvaliacao;
use Illuminate\Support\Facades\Storage;

class FaqController extends Controller
{
    //

    private $aluno,  $matricula, $empresa, $faqresp, $faqper, $chamado, $assuntocham, $notificacao, $anexo, $mensagem, $usuario, $avaliacao;

    public function __construct(
        Aluno $aln,
        Turma $tur,
        Curso $cur,
        Alunos_matricula $mat,
        Empresa $emp,
        FaqPergunta $fper,
        Chamado $cham,
        ChamadoSuporteAssuntos $csa,
        ChamadoMensagem $msg,
        ChamadoNotificacao $not,
        ChamadoAnexo $ane,
        FaqResposta $faqr,
        Usuario $user,
        ChamadoAvaliacao $ava
    ) {
        $this->aluno = $aln;
        $this->turma = $tur;
        $this->curso = $cur;
        $this->matricula = $mat;
        $this->empresa = $emp;
        $this->faqper = $fper;
        $this->chamado = $cham;
        $this->assuntocham = $csa;
        $this->mensagem = $msg;
        $this->notificacao = $not;
        $this->anexo = $ane;
        $this->faqresp = $faqr;
        $this->usuario = $user;
        $this->avaliacao = $ava;
        //$this->msgAnexo = $msgAnx;

    }
    /**
     * Lista aulas disponíveis para resposta de feedback
     *
     * @param Request $request
     * @return void
     */
    public function index(Request $request, Empresa $emp, Alunos_matricula $mat, FaqPergunta $fper, FaqResposta $faqr)
    {
        // echo('teste');
        $pergunta = [];
        $mensagemInadimplente = null;
        $idMatricula = $request->session()->get('matricula')['idMatricula'];
        $matricula = $mat->find($idMatricula);
        $turma = $this->turma->find($matricula->turmas_id);
        $curso = $this->curso->find($turma->cursos_id);
        $plataformaAcc = $turma->plataformaAcesso;

            if (!$plataformaAcc){
                $plataformaAcc = 1;
            }

        if ($matricula->modalidade == '1') {
            return redirect()
                ->back()
                ->with('error', 'Sem acesso para Aluno Presencial!');
        } else {
            $perguntas =  $fper->getPergunta($matricula->modalidade, $plataformaAcc, $curso->tipoCurso);

            foreach ($perguntas as $perg) {
                $resposta = $faqr->getResposta($perg->id);
                foreach ($resposta as $resp) {
                    $resp = [
                        'resposta' => $resp->resposta,
                        'id' => $resp->id
                    ];
                }
                $perg = [
                    'pergunta' => $perg->perguntaFaq,
                    'id' => $perg->id,
                    'resposta' => $resp['resposta'],
                    'idResp' => $resp['id']

                ];
                array_push($pergunta, $perg);
            }

            return view('faq.index2', compact('pergunta', 'mensagemInadimplente', 'matricula'));
        }
    }

    public function chamado(Request $request, Empresa $emp, Alunos_matricula $mat, FaqPergunta $fper, Chamado $cham, ChamadoSuporteAssuntos $csa)
    {
        $mensagemInadimplente = null;
        $idMatricula = $request->session()->get('matricula')['idMatricula'];
        $matricula = $mat->find($idMatricula);
        //$lista = $this->faqper->getPergunta($id);
        if (!isset($request->session()->get('matricula')['idMatricula'])) {
            return redirect()
                ->route('home.moodle')
                ->with('warning', 'Atenção! Você precisa selecionar uma matrícula abaixo!');
        }

        if ($matricula->modalidade == '1') {
            return redirect()
                ->back()
                ->with('error', 'Sem acesso para Aluno Presencial!');
        } elseif ($matricula->modalidade == '2') {
            $matricula = $this->matricula->find($request->session()->get('matricula')['idMatricula']);


            $aluno = $this->aluno->find($matricula->alunos_id);

            $assunto = $this->assuntocham->getAssunto(2);

            $chamados = $this->chamado->getChamadoMatricula($matricula->id);

            // configuração de inadimplencia
            $mensagemInadimplente = null;

            return view('faq.chamado', compact('assunto', 'mensagemInadimplente', 'aluno', 'matricula', 'chamados'));
        } else {
            $matricula = $this->matricula->find($request->session()->get('matricula')['idMatricula']);


            $aluno = $this->aluno->find($matricula->alunos_id);

            $assunto = $this->assuntocham->getAssunto(3);

            $chamados = $this->chamado->getChamadoMatricula($matricula->id);

            // configuração de inadimplencia
            $mensagemInadimplente = null;

            return view('faq.chamado', compact('assunto', 'mensagemInadimplente', 'aluno', 'matricula', 'chamados'));
        }
    }

    /**
     * Exibe detalhes do suporte para acompanhamento
     *
     * @param integer $id
     * @return void
     */
    public function showMoodle(int $id, Request $request)
    {
        $chamado    = $this->chamado->find($id);
        $assunto    = $this->assuntocham->find($chamado->chamado_assuntos_id);
        $anexos     = $this->anexo->where('chamado_id', $id)->get();
        $mensagem   = $this->mensagem->getMensagensChamado($id);
        $atendente  = $this->mensagem->getAtendente($id);


        foreach ($mensagem as $mens) {
            $usuario = $this->mensagem->getAtendenteChamado($mens->chamado_id);
        }

        if (count($mensagem) > 0) {
            $msgAnexo = $this->anexo->where('id', $mensagem[0]->id)->first();
        } else {
            $msgAnexo = '';
        }
        $dataResposta = $this->mensagem->where('id', $id)->latest()->first();

        // configuração de inadimplencia
        $mensagemInadimplente = null;

        if ($anexos) {
            foreach ($anexos as $key => $anexo) {
                $fileLink = new Checklinkfile($anexo->nomeArquivo, 2, $request->session()->get('matricula')['idMatricula']);
                $anexos[$key]->link = $fileLink->getLink();
            }
        }

        return view('faq.show', compact('chamado', 'assunto', 'anexos', 'mensagem', 'msgAnexo', 'dataResposta', 'mensagemInadimplente', 'usuario', 'atendente'));
    }

    public function upAtendimento(Request $request)
    {
        $avanew = $this->avaliacao->verifica($request->atn, $request->aluno, $request->cham);
        $avaliacao = $this->avaliacao->find('1');
        if (count($avanew) > 0) {

            foreach ($avanew as $ava) {

                $avaliacao = $this->avaliacao->find($ava->id);
                $dados = [
                    'id' => $ava->id,
                    'avaliacao' => $request->sts
                ];
                $response = $avaliacao->update($dados);
            }
        } else {
            $dados = [
                'alunos_matriculas_id' => $request->aluno,
                'chamado_id' => $request->cham,
                'users_id' => $request->atn,
                'avaliacao' => $request->sts,
            ];
            $response = $this->avaliacao->create($dados);
        }


        if ($response) {
            return '<div class="alert alert-success">Sua avaliação foi registrada com sucesso!</div>';
        } else {
            return '<div class="alert alert-danger">Registro de atendimento não localizado, por atualize sua página e tente novamente. Caso o erro persista, por favor informe a secretaria.</div>';
        }
    }

    /**
     * Cadastra protocolo
     *
     * @param Request $request
     * @return void
     */
    public function store(Request $request)
    {
        // retorna dados do assunto selecionado
        //dd($request->protocolo_assuntos_id);
        $assuntocham = $this->assuntocham->find($request->protocolo_assuntos_id);
        // dd($assuntocham);


        $dataAbertura = date('Y-m-d');
        // cria código do protocolo
        $codigochamado = $this->getCodigo();

        if (in_array($request->protocolo_assuntos_id, [47, 100, 11, 52, 16, 48, 54, 101, 50, 51, 102, 30, 49, 17, 45, 98])) {
            $dataPrazo = $this->calculaPrazoDiasUteisFinanceiro($dataAbertura);
        } else {
            $dataPrazo = $this->calculaPrazoDiasUteis($dataAbertura);
        }


        $dados = [
            'alunos_matriculas_id' => $request->session()->get('matricula')['idMatricula'],
            'chamado_assuntos_id' => $request->protocolo_assuntos_id,
            'codigoChamado' => $codigochamado,
            'justificativaChamado' => $request->justificativa,
            'PrazoResposta' =>  $dataPrazo,
            'statusChamado' => '0',
            'emAtraso' => '0',

        ];

        //dd($dados);
        $response = $this->chamado->create($dados);
        $chamado = $response;


        // dd($response);
        if ($response) {
            $id = $response->id;
            $dadosmsg = [
                'chamado_id' => $response->id,
                'users_id' => $request->session()->get('matricula')['idMatricula'],
                'tipoRemetente' => '2',
                'msgChamado' => $request->justificativa


            ];
            $response = $this->mensagem->create($dadosmsg);
            // verifica se passou algum arquivo
            //dd($request->hasFile('upload') );
            if ($request->hasFile('upload') && $request->file('upload')->isValid()) {
                $date = date("Y-m-d-H-i-s");
                $nomeArquivo = str_slug($date . "-" . $codigochamado . "-" . kebab_case($request->file('upload')->getClientOriginalName())); // define nome
                $extensao = $request->file('upload')->extension(); // pega a extensão do arquivo
                $novoNome = "{$nomeArquivo}.{$extensao}";

                $pastaDestino = 'arquivos/protocolo/';

                /**************************************************
                 * a lógica a seguir trata sa transição de upload de arquivos para a central de documentos
                 ***************************************************/
                if (env('C_ACTIVE') == 0) {
                    $upload = $request->file('upload')->storeAs('arquivos/protocolo', $novoNome);
                } else {
                    $upload = Storage::disk('ftp')->put($pastaDestino . $novoNome, fopen($request->file('upload'), 'r+'));
                }
                // registra no banco

                if (!$upload) {
                    $chamado->delete();
                    return redirect()
                        ->back()
                        ->with('error', 'Ops! Erro ao registrar a solicitação, por favor atualize sua página e tente novamente!');
                }

                $ddFile = [
                    'chamado_id' => $id,
                    'nomeArquivo' => $novoNome
                ];
                $this->anexo->create($ddFile);
            }

            return redirect()
                ->route('faq.chamadoup')
                ->with('success', 'Chamado registrado com sucesso!');
        } else {
            return redirect()
                ->back()
                ->with('error', 'Erro ao registrar chamado, por favor tente novamente!');
        }
    }

    public function resposta(Request $request)
    {
        $chamado = $this->chamado->find($request->id);
        $dados = [
            'id'            => $request->id,
            'statusChamado' => '2'
        ];

        //dd($dados);
        $response = $chamado->update(['id' => $request->id, 'statusChamado' => '3']);
        //$response = $this->chamado->update($dados);


        //dd($response);
        if ($response) {
            //$response->id;
            $dadosmsg = [
                'chamado_id'        => $request->id,
                'users_id'          => $request->session()->get('matricula')['idMatricula'],
                'tipoRemetente'     => '2',
                'msgChamado'        => $request->resposta
            ];

            $response = $this->mensagem->create($dadosmsg);
            //dd($request->hasFile('upload'));
            // verifica se passou algum arquivo
            if ($request->hasFile('upload') && $request->file('upload')->isValid()) {
                //dd($request->id);
                $date = date("Y-m-d-H-i-s");
                $pastaDestino = 'arquivos/protocolo/';
                $nomeArquivo = str_slug($date . "-" . $chamado->codigoChamado . "-" . kebab_case($request->file('upload')->getClientOriginalName())); // define nome
                $extensao = $request->file('upload')->extension(); // pega a extensão do arquivo
                $novoNome = "{$nomeArquivo}.{$extensao}";
                /**************************************************
                 * a lógica a seguir trata sa transição de upload de arquivos para a central de documentos
                 ***************************************************/
                if (env('C_ACTIVE') == 0) {
                    $upload = $request->file('upload')->storeAs('arquivos/protocolo', $novoNome);
                } else {
                    $upload = Storage::disk('ftp')->put($pastaDestino . $novoNome, fopen($request->file('upload'), 'r+'));
                }

                // registra no banco
                if (!$upload) {
                    return redirect()->back()->with('error', 'Erro ao registrar chamado, por favor tente novamente!');
                }
                $ddFile = [
                    'chamado_id' => $request->id,
                    'nomeArquivo' => $novoNome
                ];
                $this->anexo->create($ddFile);
            }

            return redirect()
                ->route('faq.chamadoup')
                ->with('success', 'Chamado registrado com sucesso!');
        } else {
            return redirect()
                ->back()
                ->with('error', 'Erro ao registrar chamado, por favor tente novamente!');
        }
    }

    public function finalizado(Request $request)
    {

        $chamado = $this->chamado->find($request->id);
        $dados = [
            'id' => $request->id,
            'statusChamado' => '5'
        ];

        //dd($dados);
        $response = $chamado->update(['id' => $request->id, 'statusChamado' => '5']);

        //$response = $this->chamado->update($dados);


        //dd($response);
        if ($response) {
            //$response->id;
            $dadosmsg = [
                'chamado_id' => $request->id,
                'users_id' => $request->session()->get('matricula')['idMatricula'],
                'tipoRemetente' => '2',
                'msgChamado' => $request->resposta,
                'avaliacao' => $request->avaliacao

            ];
            $response = $this->mensagem->update($dadosmsg);

            return redirect()
                ->route('faq.chamadoup')
                ->with('success', 'Chamado finalizado com sucesso!');
        } else {
            return redirect()
                ->back()
                ->with('error', 'Erro ao finalizar chamado, por favor tente novamente!');
        }
    }

    /**
     * Gera Código da Solicitação
     * Ex: 2018122100012
     * Onde:
     * - 2018 => ano atual;
     * - 12 => mês atual;
     * - 21 => dia da solicitação;
     * - 00012 => ID corrente do registro na base de dados.
     *
     * @return void
     */
    private function getCodigo()
    {
        $ultimoReg = $this->chamado->all()->last();
        //dd($ultimoReg);
        if ($ultimoReg) {
            $id = $ultimoReg->id + 1;
        } else {
            $id = 1;
        }
        $ano = date('Y');
        $mes = date('m');
        $dia = date('d');
        return $ano . $mes . $dia . str_pad($id, 5, 0, STR_PAD_LEFT);
    }

    public function newchamado(Request $request)
    {


        //dd($empresas);

        $dados = [

            'perguntaFaq' => $request->pergunta,
            'empresa_id' => $emp,
            'categoria_id' => '2',
            'modalidade' => $request->modalidadeCurso,
            'status' => $request->statusPergunta
        ];
        $response = $this->faqper->create($dados);

        $resposta = [
            'faq_pergunta_id' => $response->id,
            'resposta' => $request->resposta

        ];

        $resReposta = $this->faqresp->create($resposta);

        //dd($response);




        if ($response) {

            return redirect()
                ->route('admin.usuarios')
                ->with('success', 'Usuário atualizado com sucesso!');
        } else {
            return redirect()
                ->back()
                ->with('error', 'Erro ao atualizar usuario!');
        }
    }


    /***********************************************************************
     * ALGORITMO DE CÁLCULO DE DATAS ÚTEIS
     * Autor: Rafael Moura
     * Versão: 1.0
     **********************************************************************/
    /**
     * Função que cálcula dias úteis
     *
     * @param date $aPartirDe
     * @param int $quantidadeDeDias
     * @return void
     */
    public function calculaPrazoDiasUteis($aPartirDe)
    {
        //$aPartirDe = '17-04-2019';
        $quantidadeDeDias = 2;
        $dateTime = new \DateTime($aPartirDe);

        $listaDiasUteis = [];
        $contador = 0;
        while ($contador < $quantidadeDeDias) {
            $dateTime->modify('+1 weekday'); // adiciona um dia pulando finais de semana
            $data = $dateTime->format('Y-m-d');
            if (!$this->isFeriado($data)) {
                $listaDiasUteis[] = $data;
                $contador++;
            }
        }
        $someArray = json_decode(json_encode($listaDiasUteis), true);
        $final = end($someArray);
        $dataFinal = date('Y-m-d', strtotime(str_replace('-', '/', $final)));
        return $dataFinal;
    }

    public function calculaPrazoDiasUteisFinanceiro($aPartirDe)
    {
        //$aPartirDe = '17-04-2019';
        $quantidadeDeDias = 1;
        $dateTime = new \DateTime($aPartirDe);

        $listaDiasUteis = [];
        $contador = 0;
        while ($contador < $quantidadeDeDias) {
            $dateTime->modify('+1 weekday'); // adiciona um dia pulando finais de semana
            $data = $dateTime->format('Y-m-d');
            if (!$this->isFeriado($data)) {
                $listaDiasUteis[] = $data;
                $contador++;
            }
        }
        $someArray = json_decode(json_encode($listaDiasUteis), true);
        $final = end($someArray);
        $dataFinal = date('Y-m-d', strtotime(str_replace('-', '/', $final)));
        return $dataFinal;
    }

    public function isFeriado($data)
    {
        $listaFeriado = $this->getListaDiasFeriado(date('Y', strtotime($data)));
        if (isset($listaFeriado[$data])) {
            return true;
        }
        return false;
    }

    public function getListaDiasFeriado($ano = null)
    {

        if ($ano === null) {
            $ano = intval(date('Y'));
        }

        $pascoa = easter_date($ano); // retorna data da pascoa do ano especificado
        $diaPascoa = date('j', $pascoa);
        $mesPacoa = date('n', $pascoa);
        $anoPascoa = date('Y', $pascoa);

        $feriados = [
            // Feriados nacionais fixos
            mktime(0, 0, 0, 1, 1, $ano),   // Confraternização Universal
            mktime(0, 0, 0, 4, 21, $ano),  // Tiradentes
            mktime(0, 0, 0, 5, 1, $ano),   // Dia do Trabalhador
            mktime(0, 0, 0, 9, 7, $ano),   // Dia da Independência
            mktime(0, 0, 0, 10, 12, $ano), // N. S. Aparecida
            mktime(0, 0, 0, 11, 2, $ano),  // Todos os santos
            mktime(0, 0, 0, 11, 15, $ano), // Proclamação da republica
            mktime(0, 0, 0, 12, 25, $ano), // Natal
            //
            // Feriados variaveis
            mktime(0, 0, 0, $mesPacoa, $diaPascoa - 48, $anoPascoa), // 2º feria Carnaval
            mktime(0, 0, 0, $mesPacoa, $diaPascoa - 47, $anoPascoa), // 3º feria Carnaval
            mktime(0, 0, 0, $mesPacoa, $diaPascoa - 2, $anoPascoa),  // 6º feira Santa
            mktime(0, 0, 0, $mesPacoa, $diaPascoa, $anoPascoa),      // Pascoa
            mktime(0, 0, 0, $mesPacoa, $diaPascoa + 60, $anoPascoa), // Corpus Christ
        ];

        sort($feriados);

        $listaDiasFeriado = [];
        foreach ($feriados as $feriado) {
            $data = date('Y-m-d', $feriado);
            $listaDiasFeriado[$data] = $data;
        }

        return $listaDiasFeriado;
    }
    /**************************************************************************
     * FIM DO ALGORITMO
     *************************************************************************/
}
