<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class StoreDocs extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'tipoDocumento' => 'required|numeric',
            'upload' => 'required|max:1500|file'
        ];
    }

    /**
     * Get the error messages for the defined validation rules.
     *
     * @return array
     */
    public function messages()
    {
        return [
            'tipoDocumento.required' => 'Você deve informar qual o Tipo de Documento está enviando.',
            'upload.required'  => 'É obrigatório o envio de um documento.',
            'upload.max' => 'Tamanho máximo do Documento é de 1.5 Mega Bytes, por favor reduza o tamanho e tente novamente.'
        ];
    }
}
