<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AlunosAtendimento extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['alunos_matriculas_id', 'alunos_atendimento_tipo_id', 'users_id', 'registroAtendimento', 'avaliacaoAtendimento'];

    /**
     * Lista atendimentos registrados para o aluno
     *
     * @param integer $idMatricula
     * @return void
     */
    public function getAtendimentoAlunoMatricula(int $idMatricula)
    {
        return $this->join('alunos_atendimento_tipos', 'alunos_atendimento_tipos.id', 'alunos_atendimentos.alunos_atendimento_tipo_id')
                    ->join('users', 'users.id', 'alunos_atendimentos.users_id')
                    ->where('alunos_atendimentos.alunos_matriculas_id', $idMatricula)
                    ->orderBy('alunos_atendimentos.created_at', 'desc')
                    ->select('alunos_atendimentos.*', 'alunos_atendimento_tipos.nomeAtendimento', 'users.name as nomeUsuario')
                    ->get();
    }
}
