<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AlunosNegociacaoFaturas extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['alunos_faturas_id', 'alunos_negociacao_id', 'tipoRegistro'];

    /**
     * Indicates if the model should be timestamped.
     *
     * @var bool
     */
    public $timestamps = false;


    /**
     * Lista faturas da negociação conforme o tipo de registro
     *
     * @param integer $idNegociacao
     * @param integer $tipoRegistro
     * @return void
     */
    public function getFaturasNegociacao(int $idNegociacao, int $tipoRegistro)
    {
        return $this->join('alunos_faturas', 'alunos_faturas.id', 'alunos_negociacao_faturas.alunos_faturas_id')
                    ->where('alunos_negociacao_faturas.alunos_negociacao_id', $idNegociacao)
                    ->where('alunos_negociacao_faturas.tipoRegistro', $tipoRegistro)
                    ->orderBy('alunos_faturas.dataVcto', 'asc')
                    ->get();
    }
}
