<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class AlunosRematricula extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['alunos_matriculas_id', 'ordemRematricula', 'dataRematricula', 'dataEfetivacao', 'obsRematricula', 'statusRematricula'];


    /**
     * Lista processos de rematrícula
     *
     * @param integer $idMatricula
     * @return
     */
    public function getCheckRematricula(int $idMatricula)
    {
        return $this->where('alunos_matriculas_id', $idMatricula)
                    ->get();
    }


    /**
     * Lista períodos pendentes de Rematriculas do Aluno
     *
     * @param integer $idMatricula
     * @return
     */
    public function getRematriculaPendente(int $idMatricula)
    {
        return $this->where('alunos_matriculas_id', $idMatricula)
                    ->where('dataRematricula', '<=', date('Y-m-d'))
                    ->where('statusRematricula', '0')
                    ->get();
    }
}
