<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use DB;

class Chamado extends Model
{
    //
    protected $table = 'chamado';
    protected $fillable = ['alunos_matriculas_id', 'codigoChamado', 'justificativaChamado', 'statusChamado', 'chamado_assuntos_id' , 'PrazoResposta' ];


    public function getChamado($id)
    {
        return $this->where('id',$id)
                    ->select('statusChamado', 'suporte_assuntos' )
                    ->orderBy('chamado.created_at', 'desc')
                    ->get();
    }

    /**
     * Lista Protocolos pelo ID da Matrícula
     *
     * @param integer $idMatricula
     * @return void
     */
    public function getChamadoMatricula(int $idMatricula)
    {
        return $this->join('chamado_suporte_assuntos', 'chamado_suporte_assuntos.id', 'chamado.chamado_assuntos_id')
                    ->where('alunos_matriculas_id', $idMatricula)
                    ->orderBy('chamado.created_at', 'desc')
                    ->select('chamado.*','chamado_suporte_assuntos.tituloAssunto')
                    ->get();
    }
}
