<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Curso extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['empresas_id', 'siglaCurso', 'nomeCurso', 'areas_atuacao', 'statusCurso', 'tipoCurso'];

    /**
     * Lista as disciplinas do Curso do Aluno com base no id da matrícula
     *
     * @param integer $idMatricula
     * @return void
     */
    public function getDisciplinasCurso(int $idMatricula)
    {
        return $this->join('turmas', 'turmas.cursos_id', 'cursos.id')
                    ->join('alunos_matriculas', 'alunos_matriculas.turmas_id', 'turmas.id')
                    ->join('cursos_disciplinas', 'cursos.id', 'cursos_disciplinas.curso_id')
                    ->join('disciplinas', 'disciplinas.id', 'cursos_disciplinas.disciplina_id')
                    ->where('alunos_matriculas.id', $idMatricula)
                    ->orderBy('disciplinas.nomeDisciplina', 'asc')
                    ->get();
    }

}
