<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class DisciplinasEad extends Model
{
    /**
     * The connection name for the model.
     *
     * @var string
     */
    protected $connection = 'mysql_sav';

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'disciplinas_ead';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['curso_id', 'disciplina_id', 'diasLiberacao', 'statusDisciplina'];

    /**
     * Lista disciplinas liberadas do curso por status
     *
     * @param integer $idCurso
     * @return void
     */
    public function getDisciplinasEADCurso(int $idCurso)
    {
        return $this->where('curso_id', $idCurso)
                    ->where('statusDisciplina', '1')
                    ->orderBy('diasLiberacao', 'asc')
                    ->get();
    }

     /**
     * Lista Disciplinas da Turma
     * Utilizado para Modalidade Semi-Presencial
     *
     * @param integer $idTurma
     * @return void
     */
    public function getDisciplinaTurma(int $idTurma)
    {
        return $this->where('turmas_id', $idTurma)
                    ->where('statusDisciplina', '1')
                    ->orderBy('diasLiberacao', 'asc')
                    ->get();
    }

}
