<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class DisciplinasUnidade extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['disciplinas_ead_id', 'ordemUnidade', 'nomeUnidade', 'diasLiberacaoUnidade', 'statusUnidade'];

    protected $connection = 'mysql_sav';

    /**
     * Lista unidades cadastradas na disciplina
     *
     * @param integer $idDiscEAD
     * @return void
     */
    public function getUnidadeDisc(int $idDiscEAD)
    {
        return $this->where('disciplinas_ead_id', $idDiscEAD)
                    ->orderBy('ordemUnidade', 'asc')
                    ->get();
    }

    /**
     * Lista unidades cadastradas na disciplina habilitadas para exibição do aluno
     *
     * @param integer $idDiscEAD
     * @return void
     */
    public function getUnidadeDiscAluno(int $idDiscEAD)
    {
        return $this->where('disciplinas_ead_id', $idDiscEAD)
                    ->where('statusUnidade', '1')
                    ->orderBy('ordemUnidade', 'asc')
                    ->get();
    }
}
