<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

use DB;

class FeedbackPerguntas extends Model
{
    /**
     * The connection name for the model.
     *
     * @var string
     */
    protected $connection = 'mysql';

    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'feedback_perguntas';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['id', 'modalidadeCurso', 'perguntaPesquisa', 'tipoPergunta', 'statusPergunta', 'estiloPergunta', 'created_at', 'updated_at'];


    /**
     * Lista empresas por usuario
     *
     * @param int $idUser
     * @return mixed
     */
    public function getListaPergunta(int $modalidade)
    {
        return $this->where('modalidadeCurso', $modalidade)
            ->where('estiloPergunta', 1)
            ->get();
    }
}
