<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class PesquisasResposta extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['pesquisas_alunos_id', 'pesquisas_perguntas_id', 'perguntaPesquisa', 'respostaAluno'];

    /**
     * Lista as respostas de uma determinada pesquisa pelo Aluno.
     *
     * @param integer $idPesquisa
     * @return void
     */
    public function getRespostasPesquisaAluno(int $idPesquisa)
    {
        return $this->where('pesquisas_alunos_id', $idPesquisa)
                    ->orderBy('perguntaPesquisa', 'asc')
                    ->get();
    }
}
