<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class ProtocolosParecer extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'protocolos_parecer';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
     protected $fillable = ['protocolos_id', 'users_id', 'descParecer'];

     /**
      * Lista registro de pareceres pelo ID do Protocolo
      *
      * @param integer $id
      * @return void
      */
     public function getParecerProtocolo(int $id)
     {
        return $this->join('users', 'users.id', 'protocolos_parecer.users_id')
                    ->where('protocolos_parecer.protocolos_id', $id)
                    ->orderBy('protocolos_parecer.created_at', 'asc')
                    ->select('protocolos_parecer.*', 'users.name')
                    ->get();
     }
}
