<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RecursosAvaliacoes extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['unidades_recursos_id', 'tituloAvaliacao', 'geraNota', 'valorNota', 'qtdeQuestoes', 'nivelDificuldade', 'qtdeTentativas', 'statusAvaliacao'];
    protected $connection = 'mysql_sav';

    /**
     * Lista dados de uma avaliação conforme o id da unidade do recurso
     *
     * @param integer $idUnidRecurso
     * @return void
     */
    public function getDadosAvaliacao(int $idUnidRecurso)
    {
        return $this->join('disciplinas_unidades_recursos', 'disciplinas_unidades_recursos.id', 'recursos_avaliacoes.unidades_recursos_id')
                    ->where('disciplinas_unidades_recursos.id', $idUnidRecurso)
                    ->first();
    }

}
