<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RecursosBancoQuestoes extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['recursos_avaliacoes_id', 'enunciadoQuestoes', 'comentarioQuestao', 'nivelDificuldade', 'statusQuestao'];
    protected $connection = 'mysql_sav';


    /**
     * Lista Questões de forma aleatória
     *
     * @param integer $idAvaliacao
     * @param integer $qtdeQuestao
     * @return object
     */
    public function getBancoQuestaoAvaliacao(int $idAvaliacao, int $qtdeQuestao)
    {
        return $this->where('recursos_avaliacoes_id', $idAvaliacao)
                    ->where('statusQuestao', '1')
                    ->limit($qtdeQuestao)
                    ->inRandomOrder()
                    ->get();
    }
}
