<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RecursosBancoQuestoesRespostas extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['banco_questoes_id', 'enunciadoResposta', 'respostaCorreta'];

    protected $connection = 'mysql_sav'; 

    /**
     * Lista as alternativas das questões de forma randomica
     *
     * @param integer $idQuestao
     * @return object
     */
    public function getRespostasQuestao(int $idQuestao)
    {
        return $this->where('banco_questoes_id', $idQuestao)
                    ->inRandomOrder()
                    ->get();
    }
}
