<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RecursosForum extends Model
{
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'recursos_forum';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['unidades_recursos_id', 'users_id', 'topicoForum', 'descForum', 'statusForum'];

    protected $connection = 'mysql_sav';


    /**
     * Lista recurso de forum da unidade recurso
     *
     * @param integer $idRecurso
     * @return object
     */
    public function getForumRecUnidade(int $idRecurso)
    {
        return $this->where('unidades_recursos_id', $idRecurso)
                    ->first();
    }

    public function getAcesso(int $idRecurso, int $aluno)
    {
        return $this->join('recursos_forum_posts','recursos_forum_posts.recursos_forum_id','recursos_forum.id')
                    ->where('recursos_forum_posts.user_id',$aluno)
                    ->where('recursos_forum.unidades_recursos_id', $idRecurso)
                    ->select('recursos_forum_posts.descPostagem')
                    ->first();
    }
}
