<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class RecursosForumPost extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['recursos_forum_id', 'tipoUsuario', 'user_id', 'descPostagem', 'post_pai'];

    protected $connection = 'mysql_sav';

    /**
     * Lista postagens do forum
     *
     * @param integer $idForum
     * @return object
     */
    public function getForumPosts(int $idForum)
    {
        return $this->where('recursos_forum_id', $idForum)
                    ->whereNull('post_pai')
                    ->orderBy('created_at', 'asc')
                    ->get();
    }

    /**
     * Lista postagens "filhas"
     *
     * @param integer $idPai
     * @return object
     */
    public function getForumPostFilho(int $idPai)
    {
        return $this->where('post_pai', $idPai)
                    ->orderBy('created_at', 'asc')
                    ->get();
    }
}
