<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class TemplateRecursosBancoQuestoes extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['template_recursos_avaliacoes_id', 'enunciadoQuestoes', 'comentarioQuestao', 'nivelDificuldade', 'statusQuestao'];
    protected $connection = 'mysql_sav';


    /**
     * Lista Questões de forma aleatória
     *
     * @param integer $idAvaliacao
     * @param integer $qtdeQuestao
     * @return void
     */
    public function getBancoQuestaoAvaliacao(int $idAvaliacao, int $qtdeQuestao)
    {
        return $this->where('template_recursos_avaliacoes_id', $idAvaliacao)
                    ->limit($qtdeQuestao)
                    ->inRandomOrder()
                    ->get();
    }
}
