<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class TurmasDisciplinasAula extends Model
{
    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
     protected $fillable = ['turmas_id', 'disciplinas_id', 'users_id', 'dataAula', 'horaInicio', 'horaFim', 'statusAula', 'obsAula', 'anoExercicio'];
     
     /**
     * Lista aulas por turmas e disciplinas
     *
     * @param integer $turma
     * @param integer $disciplina
     * @return void 
     */
    public function getAulasTurmaDisciplina(int $turma, int $disciplina, $ano = null)
    {
        $lista = $this->where('turmas_id', $turma)
                    ->where('disciplinas_id', $disciplina)
                    ->orderBy('dataAula', 'asc');

        if($ano != null){
            $lista->where('anoExercicio', $ano);
        }                    
                
        return $lista->get();
    }

}
