<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Notification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;

class MailResetPasswordNotification extends Notification
{
    use Queueable;

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct()
    {
        //
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return ['mail'];
    }

    /**
     * Get the mail representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
        $link = url( "/password/reset/?token=" . $this->token );

                    return ( new MailMessage )
                        ->view('reset.emailer')
                        ->from('noreplay@estratego.edu.com')
                        ->subject( 'Redefina sua senha' )
                        ->line( "Olá!

                        Você está recebendo este e-mail porque recebemos uma solicitação de redefinição de senha para sua conta. " )
                        ->action( 'Redefinir senha', $link )
                        ->attach('reset.attachment')
                        ->line( 'Se você não solicitou uma redefinição de senha, nenhuma ação adicional será necessária.

                        Portal do Aluno' );
    }

    /**
     * Get the array representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function toArray($notifiable)
    {
        return [
            //
        ];
    }
}
