<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Notifications\Notification;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;

class ResetPassword extends Notification
{
    use Queueable;

    private $token;

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct($token)
    {
        $this->token = $token;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return ['mail'];
    }

    /**
     * Get the mail representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return \Illuminate\Notifications\Messages\MailMessage
     */
    public function toMail($notifiable)
    {
       
       // dd(ENV('LINKIC'));
       
        $link = 'https://'.$_SERVER["HTTP_HOST"];
        if($link == ENV('LINKIC')){
            $instituicao = 'Instituto Carreira';

        }else if($link == ENV('LINKFE')){
            
            $instituicao = 'Faculdade Estratego';
        }else {
            $instituicao = 'Inex';
        }
      

        return (new MailMessage)
                    ->from('falecom@estratego.com.br', $instituicao)
                    ->subject('Atualização de Senha - '.$instituicao)
                    ->line('Você está recebendo este e-mail porque recebemos um pedido de redefinição de senha para sua conta.')
                    ->action('Resetar Senha', $link.route('password.reset', $this->token, false))
                    ->line('Se você não solicitou uma alteração da senha, nenhuma ação adicional é necessária.');
    }

    /**
     * Get the array representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function toArray($notifiable)
    {
        return [
            //
        ];
    }
}
