@extends('layouts.appAluno')

@section('code_header')
<link rel="stylesheet" href="{{ asset('/css/aluno/timeline.css') }}" />
@endsection

@section('breadcrumb')
<nav class="barraNavegacao">
    <div class="nav-wrapper">
        <div class="row">
            <div class="col m6 breadRota">
                <a href="{{ route('aluno.home') }}" class="breadcrumb">Página Inicial |</a>
                <a href="javascript:history.back()">{{ $recurso->nomeRecurso }}</a>
            </div>
            <div class="col m6 breadAluno right-align">
                {{ Request::session()->get('matricula')['codMatricula'] }} |
                {{ Request::session()->get('matricula')['nomeAluno'] }}
            </div>
        </div>
    </div>
</nav>
@endsection

@section('sidebar')
<header class="cd-main-header text-center flex flex-column flex-center bgTituloInterno">
    <h1>{{ $pagina->tituloPagina }}</h1>
    <p>{{ $disciplina->nomeDisciplina }}</p>
</header>
@stop

@section('content')

    <div class="row">
        <div class="col s12 m12">
            <div class="card">
                <div class="card-content">
                    {!! $pagina->conteudoPagina !!}
                </div>
            </div>

            <a href="{{ route('aluno.disciplina', [$recurso->idEAD, 'r' => $recurso->disciplinas_unidades_id]) }}" class="waves-effect waves-teal btn-flat">Voltar</a>
        </div>
    </div>






{{--        <div class="fixed-action-btn">--}}
{{--            <a class="btn-floating btn-large blue-grey darken-1 button-collapse tooltipped" data-activates="slide-out"  data-position="left" data-tooltip="Ver Recursos da Unidade">--}}
{{--                <i class="large material-icons">bookmark</i>--}}
{{--            </a>--}}
{{--        </div>--}}

        <ul id="slide-out" class="side-nav">
            <li><a class="subheader">Recursos da Unidade</a></li>
            @forelse ($mnRecursos as $ln)
                @if ($ln['tipoRecurso'] == 6)
                    <li><a class="waves-effect" href="{{ $ln['urlLink'] }}" target="_blank"><i class="material-icons @if($ln['statusAcesso'] == 1) green-text @endif">@if($ln['statusAcesso'] == 1) check_circle @else panorama_fish_eye @endif</i> {{ $ln['nomeRecurso'] }}</a></li>
                @else
                    <li><a class="waves-effect" href="{{ route('disciplina.recurso', [$ln['idRecurso']]) }}"><i class="material-icons @if($ln['statusAcesso'] == 1) green-text @endif">@if($ln['statusAcesso'] == 1) check_circle @else panorama_fish_eye @endif</i> {{ $ln['nomeRecurso'] }}</a></li>
                @endif
            @empty

            @endforelse
        </ul>


@stop

@section('js')
<script src="{{ asset('js/aluno/timeline.js') }}"></script>
@stop
