@extends('layouts.appAluno')

@section('code_header')
    <link rel="stylesheet" href="{{ asset('/css/aluno/timeline.css') }}" />
    <meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('breadcrumb')
    <nav class="barraNavegacao">
        <div class="nav-wrapper">
            <div class="row">
                <div class="col m6 breadRota">
                    <a href="{{ route('aluno.home') }}" class="breadcrumb">Página Inicial</a>
                </div>
                <div class="col m6 breadAluno right-align">
                    {{ Request::session()->get('matricula')['codMatricula'] }} |
                    {{ Request::session()->get('matricula')['nomeAluno'] }}
                </div>
            </div>
        </div>
    </nav>
@endsection

@section('sidebar')
    <header class="cd-main-header text-center flex flex-column flex-center bgTituloInterno">
        <h1>{{ $disciplina->nomeDisciplina }}</h1>

    </header>
@stop

@section('content')

    @if (session('success'))
        <div id="card-alert" class="green">
            <p><i></i> {{ session('success') }}</p>

        </div>
    @endif
    @if (session('error'))
        <div id="card-alert" class=" red">
            <p><i></i> {{ session('error') }}</p>

        </div>
    @endif

    <div class="content">
        <ul class="collapsible popout" data-collapsible="accordion">
            @forelse ($unidades as $unid)
                <li>
                    <div class="collapsible-header @if (Request::get('r') == $unid['idUnidade']) active @endif"><i
                            class="material-icons">collections_bookmark</i>{{ $unid['nomeUnidade'] }}</div>
                    <div class="collapsible-body">

                        <section class="cd-timeline js-cd-timeline">
                            <div class="container max-width-lg cd-timeline__container">
                                @forelse ($unid['recursos'] as $rec)

                                    @if ($rec['tipoRecurso'] == 1)
                                        <div class="center-align" style="margin-bottom: var(--space-lg)">
                                            <img src="{{ $rec['link'] }}" class="responsive-img"
                                                style="position:relative; z-index: 98;">
                                            {{-- <img src="{{ asset('storage/recursos_banner/'.$rec['arquivoBanner']) }}" class="responsive-img" style="position:relative; z-index: 98;"> --}}
                                        </div>
                                    @else

                                        <div class="cd-timeline__block">
                                            {!! getIconRecursoRoad($rec['tipoRecurso']) !!}

                                            @switch($rec['tipoRecurso'])
                                                {{-- VIDEO --}}
                                                @case(2)
                                                    <div class="cd-timeline__content text-component">
                                                        <div class="row">
                                                            <div class="col s10 left-align">
                                                                <h2>{{ $rec['nomeRecurso'] }}</h2>
                                                            </div>
                                                            <div class="col s2 right-align">
                                                                @if ($rec['statusAcesso'] == 1)
                                                                    <i class="material-icons green-text">check_circle</i>
                                                                @else
                                                                    <i class="material-icons">panorama_fish_eye</i>
                                                                @endif
                                                            </div>
                                                        </div>
                                                        <p class="color-contrast-medium">{!! $rec['descVideo'] !!}</p>
                                                        <div class="flex justify-between items-center">
                                                            <span class="cd-timeline__date"></span>
                                                            <a href="{{ route('disciplina.recurso', [$rec['idRecurso']]) }}"
                                                                class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                                                style="color: #fff;">Acessar</a>
                                                        </div>
                                                    </div> <!-- cd-timeline__content -->
                                                @break
                                                {{-- ARQUIVOS --}}
                                                @case(3)
                                                    <div class="cd-timeline__content text-component">
                                                        <div class="row">
                                                            <div class="col s10 left-align">
                                                                <h2>{{ $rec['nomeRecurso'] }}</h2>
                                                            </div>
                                                            <div
                                                                class="col s2 right-align statusAcesso_{{ $rec['idRecurso'] }}">
                                                                @if ($rec['statusAcesso'] == 1)
                                                                    <i class="material-icons green-text">check_circle</i>
                                                                @else
                                                                    <i class="material-icons">panorama_fish_eye</i>
                                                                @endif
                                                            </div>
                                                        </div>

                                                        <p class="color-contrast-medium">{!! $rec['descArquivo'] !!}</p>
                                                        <div class="flex justify-between items-center">
                                                            <span class="cd-timeline__date"></span>
                                                            <a href="{{ $rec['link'] }}"
                                                                class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                                                style="color: #fff;" target="_blank" download
                                                                onclick="getAcessoLink({{ $rec['idRecurso'] }})">Acessar</a>
                                                            {{-- <a href="{{ asset('storage/recursos_arquivos/'.$rec['nomeArquivo']) }}" class="btn waves-effect waves-light blue-grey darken-3 right-align" style="color: #fff;" target="_blank" download onclick="getAcessoLink({{ $rec['idRecurso'] }})">Acessar</a> --}}
                                                        </div>
                                                    </div> <!-- cd-timeline__content -->
                                                @break
                                                {{-- PAGINAS --}}
                                                @case(4)
                                                    <div class="cd-timeline__content text-component">
                                                        <div class="row">
                                                            <div class="col s10 left-align">
                                                                <h2>{{ $rec['tituloPagina'] }}</h2>
                                                            </div>
                                                            <div class="col s2 right-align">
                                                                @if ($rec['statusAcesso'] == 1)
                                                                    <i class="material-icons green-text">check_circle</i>
                                                                @else
                                                                    <i class="material-icons">panorama_fish_eye</i>
                                                                @endif
                                                            </div>
                                                        </div>

                                                        <p class="color-contrast-medium">{!! $rec['resumoPagina'] !!}</p>
                                                        <div class="flex justify-between items-center">
                                                            <span class="cd-timeline__date"></span>
                                                            <a href="{{ route('disciplina.recurso', [$rec['idRecurso']]) }}"
                                                                class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                                                style="color: #fff;">Acessar</a>
                                                        </div>
                                                    </div> <!-- cd-timeline__content -->
                                                @break
                                                {{-- ATIVIDADES --}}
                                                @case(5)

                                                    <div class="cd-timeline__content text-component">
                                                        <div class="row">
                                                            <div class="col s10 left-align">
                                                                <h2>{{ $rec['tituloAvaliacao'] }}</h2>
                                                                @if ($rec['inicioVisualizacao'] && $rec['fimVisualizacao'])
                                                                    <p>Disponível entre:
                                                                        {{ formataDataHora($rec['inicioVisualizacao'], 'd/m/y H:i') . 'h à ' . formataDataHora($rec['fimVisualizacao'], 'd/m/y H:i') }}h
                                                                    </p>
                                                                @endif
                                                            </div>
                                                            <div class="col s2 right-align">
                                                                @if ($rec['statusAcesso'] == 1)
                                                                    <i class="material-icons green-text">check_circle</i>
                                                                @else
                                                                    <i class="material-icons">panorama_fish_eye</i>
                                                                @endif
                                                            </div>
                                                        </div>
                                                        <div class="flex justify-between items-center">
                                                            <span class="cd-timeline__date"></span>
                                                            @if (in_array(Request::session()->get('matricula')['modalidade'], [1, 3]) && $rec['inicioVisualizacao'] <= date('Y-m-d H:i:s') && $rec['fimVisualizacao'] >= date('Y-m-d H:i:s'))
                                                                <a href="{{ route('disciplina.recurso', [$rec['idRecurso']]) }}"
                                                                    class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                                                    style="color: #fff;">Acessar</a>
                                                            @endif
                                                            @if (Request::session()->get('matricula')['modalidade'] == 2)
                                                                <a href="{{ route('disciplina.recurso', [$rec['idRecurso']]) }}"
                                                                    class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                                                    style="color: #fff;">Acessar</a>
                                                            @endif
                                                        </div>
                                                    </div> <!-- cd-timeline__content -->

                                                @break
                                                {{-- LINK --}}
                                                @case(6)
                                                    <div class="cd-timeline__content text-component">
                                                        <div class="row">
                                                            <div class="col s10 left-align">
                                                                <h2>{{ $rec['tituloLink'] }}</h2>
                                                            </div>
                                                            <div
                                                                class="col s2 right-align statusAcesso_{{ $rec['idRecurso'] }}">
                                                                @if ($rec['statusAcesso'] == 1)
                                                                    <i class="material-icons green-text">check_circle</i>
                                                                @else
                                                                    <i class="material-icons">panorama_fish_eye</i>
                                                                @endif
                                                            </div>
                                                        </div>
                                                        <div class="flex justify-between items-center">
                                                            <span class="cd-timeline__date"></span>
                                                            <a href="{{ $rec['urlLink'] }}"
                                                                class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                                                style="color: #fff;" target="_blank"
                                                                onclick="getAcessoLink({{ $rec['idRecurso'] }})">Acessar</a>
                                                        </div>
                                                    </div> <!-- cd-timeline__content -->
                                                @break
                                                {{-- FORUM --}}
                                                @case(7)
                                                    <div class="cd-timeline__content text-component">
                                                        <div class="row">
                                                            <div class="col s10 left-align">
                                                                <h2>{{ $rec['topicoForum'] }}</h2>
                                                            </div>
                                                            <div class="col s2 right-align">
                                                                @if ($rec['statusAcesso'] == 1)
                                                                    <i class="material-icons green-text">check_circle</i>
                                                                @else
                                                                    <i class="material-icons">panorama_fish_eye</i>
                                                                @endif
                                                            </div>
                                                        </div>
                                                        <p class="color-contrast-medium">{!! $rec['descForum'] !!}</p>
                                                        <div class="flex justify-between items-center">
                                                            <span class="cd-timeline__date"></span>
                                                            <a href="{{ route('disciplina.recurso', [$rec['idRecurso']]) }}"
                                                                class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                                                style="color: #fff;">Acessar</a>
                                                        </div>
                                                    </div> <!-- cd-timeline__content -->
                                                @break
                                                @default

                                            @endswitch

                                        </div> <!-- cd-timeline__block -->

                                    @endif
                                    <div style="clear:both"></div>
                                    @empty

                                    @endforelse
                                </div>
                            </section> <!-- cd-timeline -->

                        </div>
                    </li>
                    @empty
                        <p class="center-align">Não há unidades liberadas no momento para esta disciplina.</p>
                    @endforelse

                    </br>

                    @if (Request::session()->get('matricula')['modalidade'] != '1')

                        @if ($feedback > 0)
                            @if ($frequencia > 74)
                                <div class="center-align">

                                    <a href="#finalizaAvaliacaos" class="btn"
                                        style="background-color: #fdc800; color: #000"><i
                                            class="material-icons black-text">content_paste</i> Pesquisa de satisfação da disciplina
                                        <i class="material-icons black-text">lock_open</i></a>

                                </div>
                            @else
                                <div class="center-align">

                                    <a href="#avisoAvaliacao" class="btn"
                                        style="background-color: #a1a1a1; color: #fff"><i
                                            class="material-icons white-text">content_paste</i> Pesquisa de satisfação da disciplina
                                        <i class="material-icons white-text">lock</i></a>

                                </div>
                            @endif
                        @else
                            @if ($frequencia > 74)
                                <div class="center-align">

                                    <a href="#agradecimento" class="waves-effect waves-light btn green darken-3"
                                        style="color: #fff"><i class="material-icons black-text">content_paste</i> Pesquisa de
                                        satisfação da disciplina <i class="material-icons black-text">done_all</i></a>

                                </div>
                            @else
                                <div class="center-align">

                                    <a href="#avisoAvaliacao" class="btn"
                                        style="background-color: #a1a1a1; color: #fff"><i
                                            class="material-icons white-text">content_paste</i> Pesquisa de satisfação da disciplina
                                        <i class="material-icons white-text">lock</i></a>

                                </div>
                            @endif
                        @endif

                    @endif


                </ul>

                <a href="{{ route('aluno.home') }}" class="waves-effect waves-teal btn-flat">Voltar</a>
            </div>



            <div id="finalizaAvaliacaos" class="modal">
                <form action="{{ route('feedback.post') }}" method="post">
                    @csrf
                    <div class="modal-content">
                        <h4 class="tituloForm">Pesquisa de satisfação da disciplina:</h4>
                        <div class="dadosPost"></div>
                        @forelse ($resposta as $per)
                            <div class="row">
                                @if ($per['estiloPergunta'] == 1)
                                    <div class="cd-timeline__content text-component">
                                        <div class="row">
                                            <span>{{ $per['perguntaPesquisa'] }}</span></br>
                                            <input name="opc_{{ $per['id'] }}" type="radio" id="opc_{{ $per['id'] }}_4"
                                                onchange="getFeedback({{ $per['id'] }}, {{ $per['disciplinas_id'] }}, 4)" />
                                            <label for="opc_{{ $per['id'] }}_4">Muito Satisfeito</label> <br>

                                            <input name="opc_{{ $per['id'] }}" type="radio" id="opc_{{ $per['id'] }}_3"
                                                onchange="getFeedback({{ $per['id'] }}, {{ $per['disciplinas_id'] }}, 3)" />
                                            <label for="opc_{{ $per['id'] }}_3">Satisfeito</label><br>

                                            <input name="opc_{{ $per['id'] }}" type="radio" id="opc_{{ $per['id'] }}_2"
                                                onchange="getFeedback({{ $per['id'] }}, {{ $per['disciplinas_id'] }}, 2)" />
                                            <label for="opc_{{ $per['id'] }}_2">Insatisfeito</label><br>

                                            <input name="opc_{{ $per['id'] }}" type="radio" id="opc_{{ $per['id'] }}_1"
                                                onchange="getFeedback({{ $per['id'] }}, {{ $per['disciplinas_id'] }}, 1)" />
                                            <label for="opc_{{ $per['id'] }}_1">Muito Insatisfeito</label><br>
                                        </div>
                                    </div> <!-- cd-timeline__content -->
                                @else
                                    <div class="cd-timeline__content text-component">
                                        <div class="row">
                                            <span>{{ $per['perguntaPesquisa'] }}</span></br>
                                            <input type="text" name="comdisciplina" />
                                            <input type="hidden" name="idResposta" value="{{ $per['id'] }}">
                                        </div>
                                    </div> <!-- cd-timeline__content -->
                                @endif
                            </div>
                        @empty

                        @endforelse
                        <div class="aviso"></div>
                    </div>
                    <div class="modal-footer">
                        <button type="submit" class="waves-effect waves-light btn blue darken-3" onclick="funcao1()"
                            style="color: #fff">Salvar</button>
                        <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Cancelar</a>
                        <input type="hidden" name="aluno" value="{{ Request::session()->get('matricula')['idMatricula'] }}">
                        <input type="hidden" name="disciplina" value="{{ $disciplina->id }}">
                    </div>
                </form>
            </div>

            <div id="avisoAvaliacao" class="modal">

                <div class="modal-content">
                    <h4 style='text-align:center' class="tituloForm">Aviso:</h4>

                    <div class="row">

                        <p style='text-align:justify'>
                            A Pesquisa de satisfação só estará disponível quando você obter pelo menos 75% de frequência na
                            disciplina.
                            Por favor, acesse os materiais didáticos disponíveis na disciplina: videoaulas, e-book, materiais
                            complementares, etc.</p>
                    </div>

                </div>
                <div class="modal-footer">
                    <a href="#!" class="modal-close waves-effect waves-green btn-flat">Fechar</a>
                </div>

            </div>

            <div id="agradecimento" class="modal">

                <div class="modal-content">
                    <h4 style='text-align:center' class="tituloForm">Aviso:</h4>

                    <div class="row">

                        <p style='text-align:center'>
                            Você já preencheu a pesquisa de satisfação dessa disciplina.
                        </p>
                    </div>

                </div>
                <div class="modal-footer">
                    <a href="#!" class="modal-close waves-effect waves-green btn-flat">Fechar</a>
                </div>

            </div>

            <div id="aviso" class="modal">

                <div class="modal-content">
                    <h4 style='text-align:center' class="tituloForm">Aviso:</h4>

                    <div class="row">

                        <p style='text-align:justify'>
                            Para realizar os quizes é necessário responder a pesquisa de satisfação da disciplina. A pesquisa de
                            satisfação pode ser acessada em um botão logo
                            abaixo dos materiais didáticos da disciplina.
                        </p>
                    </div>

                </div>
                <div class="modal-footer">
                    <a href="#!" class="modal-close waves-effect waves-green btn-flat">Fechar</a>
                </div>


            </div>

            <div id="avisoFeeback" class="modal">

                <div class="modal-content">
                    <h4 style='text-align:center' class="tituloForm">Aviso:</h4>

                    <div class="row">

                        <p style='text-align:justify'>
                            Enviando as informações do seu feedback.
                        </p>
                    </div>

                </div>
                <div class="modal-footer">
                    <a href="#!" class="modal-close waves-effect waves-green btn-flat">Fechar</a>
                </div>

            </div>

        @stop

        @section('js')
            <script src="{{ asset('js/aluno/timeline.js') }}"></script>
            <script>
                function getAcessoLink(rcrs) {
                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: 'POST',
                        data: {
                            'rec': rcrs
                        },
                        url: "{{ route('aluno.freq') }}",
                        beforeSend: function() {
                            console.log('atualizando...');
                        },
                        success: function(response) {
                            console.log(response);
                            $('.statusAcesso_' + rcrs).html('<i class="material-icons green-text">check_circle</i>');
                        },
                        error: function() {
                            console.log('erro ao atualizar!');
                        }
                    });
                }
                $(document).ready(function() {
                    // the "href" attribute of the modal trigger must specify the modal ID that wants to be triggered
                    $('.modal').modal();
                    CKEDITOR.replace('textarea1');
                });

                function getFeedback(questao, alternativa, valor) {
                    console.log(questao + ' ' + alternativa + ' ' + valor)
                    $.ajax({
                        headers: {
                            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                        },
                        type: 'POST',
                        data: {
                            'questao': questao,
                            'alternativa': alternativa,
                            'valor': valor
                        },
                        url: "{{ route('feedback.up') }}",
                        beforeSend: function() {
                            // $('.aviso').html('Aguarde, carregando dados do recurso... <br /><div class="progress teal darken-4"><div class="indeterminate"></div></div>');
                        },
                        success: function(response) {
                            $('.returnRespMsg_' + questao).html('');
                            // Materialize.toast(message, displayLength, className, completeCallback);
                            Materialize.toast(response, 4000, 'rounded') // 4000 is the duration of the toast
                        },
                        error: function() {
                            // Materialize.toast(message, displayLength, className, completeCallback);
                            Materialize.toast(response, 4000, 'rounded') // 4000 is the duration of the toast
                        }
                    });
                }

                function funcao1() {
                    document.getElementsByClassName('finalizaAvaliacaos')[0].style.display = 'none';
                    document.getElementsByClassName('avisoFeeback')[0].style.display = 'block';
                }
            </script>

        @stop
