@extends('layouts.homehorizon', [$empresa])

@section('title', 'Módulo de Ambientação')

@section('css_custom')
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
@stop

@section('breadcrumbs')

    <div id="breadcrumbs-wrapper">
        <div class="container">
            <div class="row">
                <div class="col s12 m12 l12">
                    <h5 class="breadcrumbs-title">Módulo de Ambientação</h5>
                    <ol class="breadcrumbs">
                        <li><a href="{{ route('home.moodle') }}">Home</a></li>
                        <li class="active">Módulo de Ambientação</li>
                    </ol>
                </div>
            </div>
        </div>
    </div>
@stop

@section('content')

    <div class="row">
        <div class="col s12">

            <img src="/images/image4.png" width="100%" alt="Banner Modulo de Ambientação" srcset="">

            @if (@isset($logado))
                <div align="center" style="margin: 30px 0">
                    <button type="button" class="btn green">Faça seu pagamento</button>
                </div>
            @else
                <div align="center" style="margin: 30px 0">
                    <button type="button" class="btn green" onclick="return $('#upDados').openModal(); ">Ir para minha
                        sala de aula virtual</button>
                </div>
            @endif




            <p>Caro(a) discente, seja muito bem-vindo(a) ao módulo de ambientação do seu curso. Aqui você vai aprender sobre
                a sua modalidade de ensino e processos acadêmicos que vão lhe ajudar em toda sua jornada.</p>
            <p>Assista com atenção o material feito exclusivamente para você e faça bom proveito do curso.</p>
            <p>Oferecemos e desejamos as melhores experiências de aprendizagem.</p>
            <p>Conte com a gente sempre!</p>

            <ul class="collapsible">
                <li>
                    <div class="collapsible-header">Introdução a educação a distância</div>
                    <div class="collapsible-body">
                        <div class="video-container"> <iframe src="https://player.vimeo.com/video/464519577" width="100%"
                                frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe></div>
                    </div>
                </li>
                <li>
                    <div class="collapsible-header">Dicas para mandar bem no seu curso</div>
                    <div class="collapsible-body">
                        <div class="video-container"> <iframe src="https://player.vimeo.com/video/464525168" width="100%"
                                frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe></div>
                    </div>
                </li>
                <li>
                    <div class="collapsible-header">Sala de aula virtual (SAV)</div>
                    <div class="collapsible-body">
                        <div class="video-container"> <iframe src="https://player.vimeo.com/video/464528212" width="100%"
                                frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe></div>
                    </div>
                </li>
                <li>
                    <div class="collapsible-header">Frequência e nota</div>
                    <div class="collapsible-body">
                        <div class="video-container"> <iframe src="https://player.vimeo.com/video/464530272" width="100%"
                                frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe></div>
                    </div>
                </li>
                <li>
                    <div class="collapsible-header">Mensalidades</div>
                    <div class="collapsible-body">
                        <div class="video-container"> <iframe src="https://player.vimeo.com/video/464531031" width="100%"
                                frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe></div>
                    </div>
                </li>
                <li>
                    <div class="collapsible-header">Protocolos</div>
                    <div class="collapsible-body">
                        <div class="video-container"> <iframe src="https://player.vimeo.com/video/464532392" width="100%"
                                frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe></div>
                    </div>
                </li>
                <li>
                    <div class="collapsible-header">Comunicados e Central de atendimento ao discente (CAD)</div>
                    <div class="collapsible-body">
                        <div class="video-container"> <iframe src="https://player.vimeo.com/video/464533838" width="100%"
                                frameborder="0" allow="autolay; fullscreen" allowfullscreen></iframe></div>
                    </div>
                </li>


                <li>
                    <div class="collapsible-header">
                        Manual do Aluno
                    </div>
                    <div class="collapsible-body">
                        <p>Prezado(a) discente, através do seu MANUAL DO ALUNO você poderá ler com detalhes sobre todos os
                            processos e informações acadêmicas que conduzirão e orientarão seu curso de pós-graduação com
                            tranquilidade e sucesso.</p>
                    </div>
                </li>
            </ul>



        </div>
    </div>

    <hr />
    <div class="row">
        <div class="col s12">
            <a href="{{ route('home.moodle') }}" class="btn">Sair</a>
        </div>
    </div>



    <!-- Modal -->
    <div class="modal fade" id="upDados" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel">Precisamos atualizar alguns dados</h5>
                    {{-- <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button> --}}
                </div>
                <div class="modal-body">
                    <div class="input-field col s12">
                        <i class="mdi-social-person-outline prefix"></i>
                        <input id="nomeSocial" type="text" class="form-control" name="nomeSocial" required>
                        <label for="nomeSocial" class="center-align">Como gostaria de ser chamado?</label>
                    </div>

                    <div class="input-field col s12">
                        <i class="mdi-communication-email prefix"></i>
                        <input id="emailAluno" type="email" class="form-control" name="emailAluno" required>
                        <label for="emailAluno" class="center-align">Qual o seu melhor email?</label>
                    </div>
                    <div class="input-field col s12">
                        <i class="mdi-action-lock-outline prefix"></i>
                        <input id="password" type="password" class="form-control" name="password" required minlength="8">
                        <label for="password" class="center-align">Digite uma nova senha</label>
                    </div>
                </div>
                <div class="modal-footer" align="right">
                    <input type="hidden" value="{{ $matricula }}" id="matricula" id="matricula">
                    <button type="button" class="btn btnFechar" onclick="return $('#upDados').closeModal()">Fechar</button>
                    <button type="button" class="btn green btnSalvar" onclick="update()">Salvar</button>
                </div>
            </div>
        </div>
    </div>

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <style>
        .btn {
            float: none !important;
        }

        .Disabled {
            pointer-events: none;
            cursor: not-allowed;
            /* opacity: 0.65; */
            filter: alpha(opacity=65);
            /* -webkit-box-shadow: none; */
            /* box-shadow: none; */
        }

    </style>
@stop

@section('js')
    <script>
        window.onload = function() {
            $("#upDados").openModal();
        }

        function update() {
            let nomeSocial = $('#nomeSocial').val();
            let emailAluno = $('#emailAluno').val();
            let password = $('#password').val();
            let matricula = $('#matricula').val();

            if (!nomeSocial || !emailAluno || !password) {
                return alert('Todos os campos são de preenchimento obrigatório');
            }

            if (password.length < 8) {
                return alert('A senha deve conter pelo menos 8 caracteres');
            }

            if (!validateEmail(emailAluno)) {
                return alert('Informe um E-mail válido!');
            }

            $.ajax({
                type: 'POST',
                data: {
                    '_token': "{{ csrf_token() }}",
                    'nomeSocial': nomeSocial,
                    'emailAluno': emailAluno,
                    'password': password,
                    'matricula': matricula
                },
                url: "{{ route('aluno.reativado.update') }}",
                beforeSend: function() {
                    $('.btnSalvar').addClass('Disabled');
                    $('.btnFechar').addClass('Disabled');

                    $('.btnSalvar').html('<i class="fa fa-spinner fa-spin mr-2"></i> Carregando...');

                    // $('.aviso').html('Aguarde, carregando dados do recurso... <br /><div class="progress teal darken-4"><div class="indeterminate"></div></div>');
                },
                success: function(data) {
                    $('.btnSalvar').removeClass('Disabled');
                    $('.btnFechar').removeClass('Disabled');
                    $('.btnSalvar').html('Salvar');

                    data = JSON.parse(data);
                    if (data.success == false) {
                        return alert(data.msg);
                    }

                    let route = data.response.route;

                    window.location.href = route;

                },
                error: function() {
                    // Materialize.toast(message, displayLength, className, completeCallback);
                    Materialize.toast(data, 4000, 'rounded') // 4000 is the duration of the toast
                }
            });
        }

        function validateEmail(email) {
            const re =
                /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
            return re.test(email);
        }
    </script>
@endsection
