<!DOCTYPE html>
<html lang="pt-br">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <meta name="description" content="Materialize is a Material Design Admin Template,It's modern, responsive and based on Material Design by Google. ">
  <meta name="keywords" content="materialize, admin template, dashboard template, flat admin template, responsive admin template,">
  <title>Sala de aula</title>

  <!-- Favicons-->
  <link rel="icon" href="images/favicon/favicon-32x32.png" sizes="32x32">
  <!-- Favicons-->
  <link rel="apple-touch-icon-precomposed" href="images/favicon/apple-touch-icon-152x152.png">
  <!-- For iPhone -->
  <meta name="msapplication-TileColor" content="#00bcd4">
  <meta name="msapplication-TileImage" content="images/favicon/mstile-144x144.png">
  <!-- For Windows Phone -->


  <!-- CORE CSS-->

  <link href="css/materialize.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
    <!-- Custome CSS-->
    <link href="css/custom/custom-style.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/layouts/page-center.css" type="text/css" rel="stylesheet" media="screen,projection">

  <!-- INCLUDED PLUGIN CSS ON THIS PAGE -->
  <link href="js/plugins/prism/prism.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="js/plugins/perfect-scrollbar/perfect-scrollbar.css" type="text/css" rel="stylesheet" media="screen,projection">

  <!-- Global site tag (gtag.js) - Google Analytics -->
  <script async src="https://www.googletagmanager.com/gtag/js?id=UA-9375760-81"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-9375760-81');
</script>

</head>

<body id="body" class="grey darken-3 bgLogin" >
  <!-- Start Page Loading -->
  <div id="loader-wrapper">
      <div id="loader"></div>
      <div class="loader-section section-left"></div>
      <div class="loader-section section-right"></div>
  </div>
  <!-- End Page Loading -->

  <div id="login-page" class="row">
  
    <div class='coluna'>

        <form class="login-form"  action="{{ route('login') }}" method="post"  aria-label="{{ __('Login') }}">
          <div class="row">
          @csrf
            <div class="input-field col s12 left">
              <h1 id='bv'>Bem-vindo(a) a</h1>
              <img id='logo' src="{{ asset('img/logo_estratego.png') }}" class="responsive-img ">

            </div>
            <div class="input-field col s12 left">
            @include('includes.alerts')
            </div>
          </div>
        <div class="row margin">
            <div class="input-field col s12">
              <i class="mdi-social-person-outline prefix"></i>
              <input id="email" type="email" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" value="{{ old('email') }}" required>
              <label for="email" class="center-align">{{ __('E-mail') }}</label>
            </div>
          </div>
          <div class="row margin">
            <div class="input-field col s12">
              <i class="mdi-action-lock-outline prefix"></i>
              <input id="password" type="password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" name="password" required>
              <label for="password">Senha</label>

            </div>
          </div>

          <div class="row">
            <div class="input-field col s12">
              <button type="submit" class="btn btn-primary">
                {{ __('Login') }}
              </button>
                <input type="hidden" name="ies" class="ies" />
            </div>
          </div>
          <div class="row">
            {{-- <div class="input-field col s6 m6 l6">
                <p class="margin left-align medium-small"><a href="{{ route('password.request') }}">Esqueceu a senha?</a></p>
            </div> --}}
            <div class="input-field col">
                <p class="margin medium-small right-align"><a href="{{route('primeiroacesso')}}">Primeiro Acesso/Redefinir Senha</a></p>
            </div>
          </div>

        </form>

    </div>
  </div>



  <!-- ================================================
    Scripts
    ================================================ -->

  <!-- jQuery Library -->
  <script type="text/javascript" src="js/plugins/jquery-1.11.2.min.js"></script>
  <!--materialize js-->
  <script type="text/javascript" src="js/materialize.js"></script>
  <!--prism-->
  <script type="text/javascript" src="js/plugins/prism/prism.js"></script>
  <!--scrollbar-->
  <script type="text/javascript" src="js/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>

  <!--plugins.js - Some Specific JS codes for Plugin Settings-->
  <script type="text/javascript" src="js/plugins.js"></script>
  <!--custom-script.js - Add your own theme custom JS-->
  <script type="text/javascript" src="js/custom-script.js"></script>

  <script>
    $(window).on('load', function() {
      var obj = document.getElementById('body');
      var backEst = "bgLogin";
      var backCar = "bgLogin1";
      var backinex = "bgLogin2";
      
      var img = document.getElementById('logo');
      var logoEst = "{{ asset('img/logo_estratego.png') }}";
      var logoCar = "{{ asset('img/logo_carreira2.png') }}";
      var logoinex = "{{ asset('img/inex_logo.png') }}";

      var xurl = location.host;
      var ies = '';

      if (xurl == "carreira.saladeaulavirtual.com") {
          img.src = logoCar;
          obj.className=backCar;
          ies = 'carreira';
          document.getElementById("bv").innerHTML = "Bem-vindo(a) ao";

      } else if (xurl == "inex.saladeaulavirtual.com") {
          img.src = logoinex;
          obj.className=backinex;
          ies = 'inex';
          document.getElementById("bv").innerHTML = "Bem-vindo(a) ao";
      } else {
        img.src = logoEst;
        obj.className=backEst;
        ies = 'estratego';
        
      }

      $('.ies').attr('value', ies);

    });



  </script>


  <script>
    @if ($errors->has('email'))
      Materialize.toast('<i class="red-text mdi-alert-error"></i> &nbsp; {{ $errors->first('email') }}', 6000, 'rounded')
    @endif
    @if ($errors->has('password'))
      Materialize.toast('<i class="red-text mdi-alert-error"></i> &nbsp; {{ $errors->first('password') }}', 6000, 'rounded')
    @endif
  </script>
</body>

</html>
