<!DOCTYPE html>
<html lang="pt-br">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="msapplication-tap-highlight" content="no">
  <meta name="description" content="Materialize is a Material Design Admin Template,It's modern, responsive and based on Material Design by Google. ">
  <meta name="keywords" content="materialize, admin template, dashboard template, flat admin template, responsive admin template,">
  <title>Sala de aula</title>

  <!-- Favicons-->
  <link rel="icon" href="images/favicon/favicon-32x32.png" sizes="32x32">
  <!-- Favicons-->
  <link rel="apple-touch-icon-precomposed" href="images/favicon/apple-touch-icon-152x152.png">
  <!-- For iPhone -->
  <meta name="msapplication-TileColor" content="#00bcd4">
  <meta name="msapplication-TileImage" content="images/favicon/mstile-144x144.png">
  <!-- For Windows Phone -->


  <!-- CORE CSS-->

  <link href="css/materialize.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/style.css" type="text/css" rel="stylesheet" media="screen,projection">
    <!-- Custome CSS-->
    <link href="css/custom/custom-style.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="css/layouts/page-center.css" type="text/css" rel="stylesheet" media="screen,projection">

  <!-- INCLUDED PLUGIN CSS ON THIS PAGE -->
  <link href="js/plugins/prism/prism.css" type="text/css" rel="stylesheet" media="screen,projection">
  <link href="js/plugins/perfect-scrollbar/perfect-scrollbar.css" type="text/css" rel="stylesheet" media="screen,projection">

  <script async src="https://www.googletagmanager.com/gtag/js?id=UA-9375760-81"></script>
<script>
  window.dataLayer = window.dataLayer || [];
  function gtag(){dataLayer.push(arguments);}
  gtag('js', new Date());

  gtag('config', 'UA-9375760-81');
</script>

</head>

<body id='body' class="grey darken-3 bgLogin">
  <!-- Start Page Loading -->
  <div id="loader-wrapper">
      <div id="loader"></div>
      <div class="loader-section section-left"></div>
      <div class="loader-section section-right"></div>
  </div>
  <!-- End Page Loading -->



  <div id="login-page" class="row">
    <div class="coluna">
     @if(!isset($user))
      <form class="login-form"  action="{{ route('postprimeiroacesso') }}" method="post"  aria-label="{{ __('Login') }}">
          @csrf
        <div class="input-field col s12 center">
          <div class="row">
              <div class="input-field col s12 center">
                <img id='teste' src="{{url('/')}}/img/logo_estratego.png" class="responsive-img ">
                <p class="center-align">Seu primeiro acesso? Preencha os campos abaixo para registrar sua senha!</p>
              </div>
          </div>
        </div>
        <div class="row margin">
          <div class="input-field col s12">
            <i class="mdi-action-assignment-ind prefix"></i>
            <input id="cpf" type="text" class="form-control{{ $errors->has('cpf') ? ' is-invalid' : '' }}" name="cpf" value="{{ old('cpf') }}" data-mask="000.000.000-00" required>
            <label for="cpf" class="center-align">{{ __('CPF') }}</label>

          </div>
        </div>
        <div class="row margin">
          <div class="input-field col s12">
            <i class="mdi-social-cake prefix"></i>
            <input id="datanasc" type="text" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="datanasc" value="{{ old('email') }}" data-mask="00/00/0000"  required >
            <label for="datanasc">Data de Nascimento</label>

          </div>
        </div>

        <div class="row">
          <div class="input-field col s12 right-align">
            <button type="submit" class="btn btn-primary">
              {{ __('Autenticar') }}
          </button>
          </div>
        </div>
        <div class="row">
          <div class="input-field col s6 m6 l6">
              {{-- <p class="margin left-align medium-small"><a href="{{ route('password.request') }}">Esqueceu a senha?</a></p> --}}
              <p class="margin left-align medium-small"><a href="{{route('login')}}">Ja possui a senha?</a></p>

          </div>
        </div>

      </form>
      @else
      <form class="login-form"   method="post" action="{{ route('postconfirmecadastro') }}" aria-label="{{ __('Login') }}">
        <div class="row">

        @csrf
          <div class="input-field col s12 center">
                    Confirme seu dados
        </div>
        </div>
        <div class="input-field col s12 center">
          <div class="row">
              <div class="input-field col s12 center">
                <img id='teste' src="{{url('/')}}/img/logo_estratego.png" class="responsive-img ">
                <p class="center-align">Seu primeiro acesso? Preencha os campos abaixo para registrar sua senha!</p>
              </div>
          </div>
        </div>
        <div class="row margin">
          <div class="input-field col s12">
            <i class="mdi-action-assignment-ind prefix"></i>
            <input id="email" type="text"  name="id" value="{{ $user->id }}"  hidden>
            <input id="email" type="text" class="form-control{{ $errors->has('cpf') ? ' is-invalid' : '' }}" name="email" value="{{ $user->emailAluno }}"  required autofocus>
            <label for="email" class="center-align">{{ __('Confirme seu email') }}</label>
          </div>
        </div>
        <div class="row margin">
          <div class="input-field col s12">
            <i class="mdi-action-lock prefix"></i>
            <input id="senha" type="password" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="senha"  required >
            <label for="datanasc">Senha</label>

          </div>
          <div class="row margin">
          <div class="input-field col s12">
            <i class="mdi-action-lock prefix"></i>
            <input id="senhaconfirme" type="password" class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="senhaconfirme"  required >
            <label for="datanasc">Confirme a senha</label>

          </div>
        </div>

        <div class="row">
          <div class="input-field col s12">
            <button type="submit" class="btn btn-primary">
              {{ __('Autenticar') }}
          </button>
          </div>
        </div>
        <div class="row">
          <div class="input-field col s6 m6 l6">
              <p class="margin left-align medium-small"><a href="{{ route('password.request') }}">Esqueceu a senha?</a></p>
              <p class="margin left-align medium-small"><a href="{{route('login')}}">Ja possui a senha</a></p>

          </div>
        </div>

      </form>
      @endif
    </div>
  </div>


<!--
    ================================================
    Scripts
    ================================================
-->

  <!-- jQuery Library -->
  <script type="text/javascript" src="js/plugins/jquery-1.11.2.min.js"></script>
  <!--materialize js-->
  <script type="text/javascript" src="js/materialize.js"></script>
  <!--prism-->
  <script type="text/javascript" src="js/plugins/prism/prism.js"></script>
  <!--scrollbar-->
  <script type="text/javascript" src="js/plugins/perfect-scrollbar/perfect-scrollbar.min.js"></script>

    <!--plugins.js - Some Specific JS codes for Plugin Settings-->
    <script type="text/javascript" src="js/plugins.js"></script>
    <!--custom-script.js - Add your own theme custom JS-->
    <script type="text/javascript" src="js/custom-script.js"></script>
    @if(session('msg'))
        <script>
            Materialize.toast({{ session('msg') }}, 16000, 'blue')
        </script>
        @endif
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js" integrity="sha256-Kg2zTcFO9LXOc7IwcBx1YeUBJmekycsnTsq2RuFHSZU=" crossorigin="anonymous"></script>
    <script>
    $(window).on('load', function() {
      var obj = document.getElementById('body');
      var backEst = "bgLogin";
      var backCar = "bgLogin1";
      var backinex = "bgLogin2";

      var img = document.getElementById('teste');
      var logoEst = "{{ asset('img/logo_estratego.png') }}";
      var logoCar = "{{ asset('img/logo_carreira2.png') }}";
      var logoinex = "{{ asset('img/inex_logo.png') }}";

      var xurl = location.host;

      if (xurl == "carreira.saladeaulavirtual.com") {
          img.src = logoCar;
          obj.className=backCar;
      } else if (xurl == "inex.saladeaulavirtual.com") {
          img.src = logoinex;
          obj.className=backinex;
      } else {
        img.src = logoEst;
        obj.className=backEst;
      }

    });
      
    
  </script>

</body>

</html>
