@extends('adminlte::page')

@section('title', 'Notas')

@section('content_header')
<h1>Notas</h1>
    <ol class="breadcrumb">
        <li><a href="{{ route('home2') }}">Início</a></li>
        <li><a href="javascript:void()">Notas</a></li>
    </ol>
@stop

@section('content')

<div class="box box-primary">
    <div class="box-header">
    </div>
    <div class="box-body">
        
        @include('includes.alerts')
        
        <table class="table table-hover table-striped" id="dataTable">
            <thead>
                <tr>
                    <th style="width: 35%">Disciplina</th>
                    <th>Nota AVP</th>
                    <th>Nota AVO</th>
                    <th style="width: 10%">Total</th>
                </tr>
            </thead>
            <tbody>
                @forelse($listaDisciplinas as $ls)  
                <tr>
                    <td>{{ $ls['nomeDisciplina'] }}</td>
                    <td>{{ number_format($ls['avaliacao'][0]['valorNota'],2,',', '.') }}</td>
                    <td>{{ number_format($ls['avaliacao'][1]['valorNota'],2,',', '.') }}</td>
                    <td><span class="totalNota_{{ $ls['avaliacao'][0]['idNota'] }}">{{ number_format(($ls['totalNota']), 2, ',','.') }}</span></td>
                </tr>
                @empty
                <tr>
                    <td colspan="5">Não há registros disponíveis no momento.</td>
                </tr>
                @endforelse
            </tbody>
        </table>
        <hr />
        <a href="{{ route('home') }}" class="btn btn-default btn-sm">Voltar</a>
        
    </div><!--box-body-->
</div><!--.box-->


@stop