<meta name="csrf-token" content="{{ csrf_token() }}">

@extends('layouts.viewMoodle')

@section('title', 'Home')

@section('breadcrumbs')    
<div id="breadcrumbs-wrapper">    
  <div class="container">
    <div class="row">
      <div class="col s12 m12 l12">
        <h5 class="breadcrumbs-title">Comunicados Recebidos</h5>
        <ol class="breadcrumbs">        
            <li><a href="{{ route('home') }}">Início</a></li>
            <li class="active">Comunicados</li>
        </ol>
      </div>
    </div>
  </div>
</div>
<!--breadcrumbs end-->
@stop

@section('content')

<table class="highlight striped responsive-table">
    <thead>
        <tr>
            <th>Assunto</th>
            <th>Enviado por</th>
            <th>Data Recebimento</th>
        </tr>
    </thead>
    <tbody>
        @forelse ($mensagens as $msg)
            <tr @if($msg->statusLeitura == 0) style="font-weight: bold" @endif>
                <td>
                    <a href="{{ route('comunicado.show', [$msg->id]) }}">                        
                        {{ $msg->assuntoComunicado }}
                    </a>  
                </td>
                <td>
                    {{ $msg->name }}<br />
                    <small>
                        @switch($msg->tipoUsuario)
                            @case(1)
                                Administrador
                            @break
                            @case(2)
                                Financeiro    
                            @break
                            @case(3)
                                Atendimento
                            @break
                            @case(4)
                                Secretaria Acadêmica
                            @break
                            @case(5)
                                Docente
                            @break
                            @case(6)
                                Tutor EaD
                            @break
                            @case(7)
                                Coordenação Pedagógica
                            @break
                            @case(8)
                                Coordenação EaD
                            @break
                            @default
                                
                        @endswitch
                    </small>
                </td>
                <td>{{ date('d/m/Y', strtotime($msg->dataPublicacao)) }}</td>
            </tr>  
        @empty
            <tr>
                <td colspan="4">Você ainda não recebeu nenhum comunicado! :)</td>
            </tr>
        @endforelse
              
    </tbody>
</table>

@stop