@extends('layouts.viewMoodle')

@section('css_custom')
<meta name="csrf-token" content="{{ csrf_token() }}">
@endsection

@section('title', 'Central de Documentações')

@section('breadcrumbs')
<div id="breadcrumbs-wrapper">
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
                <h5 class="breadcrumbs-title">Central de Documentações</h5>
                <ol class="breadcrumbs">
                    <li><a href="{{ route('home') }}">Início</a></li>
                    <li class="active">Central de Documentações</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<!--breadcrumbs end-->
@stop

@section('content')
<div id="card-alert" class="card white">
    <p>Prezado(a) aluno(a),</p>

    <p>Você está matriculado em nossa instituição de pós-graduação. E para que você obtenha seu certificado de pós-graduando, e não na categoria de extensão/aperfeiçoamento, você deve anexar os seguintes documentos: </p>
    <p>RG, CPF, Contrato, comprovante de residência e diploma da graduação.</p>
    <p>Nesta central você deve anexar suas documentações digitalizadas em formato PDF/A. Em caso de dúvidas sobre a conversão, <a href="#videoTutorial" class="modal-trigger" target="_blank"><b><span style='color: black;'>clique aqui para assistir ao tutorial.<span></b></a></p>
    <p>Observação: O serviço de conversão não é oficial da Instituição. Portanto, não é de responsabilidade da mesma a manutenção de seus arquivos e afins.</p>
    <p>Após o envio das documentações, a Central de Documentos tem o prazo para análise de até <b>15 dias úteis.</p>

</div>


<p class="right-align">
    <a class="waves-effect waves-light btn modal-trigger" href="#upDocs">Enviar Documento</a>
</p>
@include('includes.alerts')
<table class="highlight striped responsive-table">
    <thead>
        <tr>
            <th>Documento</th>
            <th>Status</th>
            <th>Data Envio</th>
        </tr>
    </thead>
    <tbody>
        @forelse ($documentos as $doc)
        <tr>
            <td>
            {{-- @if(strtotime($doc->created_at) < env('DATA_LINK'))
                <a href="{{ asset('storage/docs/alunos/'.base64_encode(Request::session()->get('matricula')['idMatricula']).'/'.$doc->nomeArquivo) }}" target="_blank">
            @else
                <a href="{{ env('LINK_DOC') . 'docs/alunos/' . base64_encode(Request::session()->get('matricula')['idMatricula']) . '/' . $doc->nomeArquivo }}" target="_blank">
            @endif --}}
            <a href="{{ $doc->link }}" target="_blank">
                    @switch ($doc->tipoDocumento)
                    @case(1) CPF @break
                    @case(2) RG @break
                    @case(3) Comprovante de Residência @break
                    @case(4) Diploma de Graduação @break
                    @case(5) Via do Contrato @break
                    @endswitch
                </a>
                @if($doc->observacoes)
                <br /><small><b>Atenção:</b><br /> {{ $doc->observacoes }}</small>
                @endif
            </td>
            <td>
                @switch($doc->statusArquivo)
                @case(0) Em analise @break
                @case(1) Aprovado @break
                @case(2) Rejeitado @break
                @endswitch
            </td>
            <td>{{ date('d/m/Y H:i:s', strtotime($doc->created_at)) }}</td>
        </tr>
        @empty
        <tr>
            <td colspan="4">Você ainda não enviou nenhum documento! :)</td>
        </tr>
        @endforelse
    </tbody>
</table>

<!-- Modal -->
<div id="upDocs" class="modal">
    <form action="{{ route('documento.store') }}" method="post" enctype="multipart/form-data">
        <div class="modal-content">
            {{ csrf_field() }}
            <div class="modal-header">
                <h4>Enviar Documento</h4>
            </div>
            <div class="modal-body">
                <div class="formHD">
                    <div class="row">
                        <div class="col s12">
                            <p>Qual documento você deseja enviar?</p>
                            <ul class="tipoDocumento">
                                <li>
                                    <input name="tipoDocumento" type="radio" id="docCPF" value="1">
                                    <label for="docCPF">CPF <small>(Documento original ou cópia autenticada)</small></label>
                                </li>
                                <li>
                                    <input name="tipoDocumento" type="radio" id="docRG" value="2">
                                    <label for="docRG">RG <small>(Documento original ou cópia autenticada)</small></label>
                                </li>
                                <li>
                                    <input name="tipoDocumento" type="radio" id="docComprovante" value="3">
                                    <label for="docComprovante">Comprovante de Residência <small>(Documento original ou cópia autenticada)</small></label>
                                </li>
                                <li>
                                    <input name="tipoDocumento" type="radio" id="docDiploma" value="4">
                                    <label for="docDiploma">Diploma de Graduação <small>(Documento original ou cópia autenticada)</small></label>
                                </li>
                                <li>
                                    <input name="tipoDocumento" type="radio" id="docContrato" value="5">
                                    <label for="docContrato">Via do Contrato <small>(Ao final assinado e com rúbrica em todas as páginas)</small></label>
                                </li>
                            </ul>

                        </div>
                        <div class="col s12 file-field input-field">
                            <div class="btn">
                                <span>Documento</span>
                                <input type="file" name="upload" accept=".pdf,.pdfa">
                            </div>
                            <div class="file-path-wrapper">
                                <input class="file-path validate" type="text" placeholder="Clique aqui para Selecionar um Documento">
                            </div>
                        </div>
                        <div class="col s12">
                            <small>
                                <b>Observações:</b> <br />
                                - Tamanho máximo do Documento é de 1.5 Mega Bytes; <br />
                                - Deve ser somente o documento original e somente em formato PDF/A; <br />
                                - Os documentos devem estar legíveis; <br />
                                - Caso não tenha o original, aceitamos a digitalização da cópia autenticada em cartório.
                            </small>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="modal-footer">
            <button type="submit" class="btn btn-primary btn-registro">Enviar</button>
            <button type="button" class="modal-close waves-effect waves-red btn-flat">Fechar</button>
        </div>
    </form>
</div>


<div id="videoTutorial" class="modal">
    <div class="modal-content">
        <div class="video-container">
            <iframe src="https://player.vimeo.com/video/492655383" width="640" height="360" frameborder="0" allow="autoplay; fullscreen" allowfullscreen></iframe>
        </div>
    </div>
    <div class="modal-footer">
        <a href="#" class="waves-effect waves-red btn-flat modal-action modal-close" onclick="pauseVideo()">Fechar</a>
    </div>
</div>
<script>
    function pauseVideo() {

        var $frame = $('iframe#vimeoVideo');

        // saves the current iframe source
        var vidsrc = $frame.attr('src');

        // sets the source to nothing, stopping the video
        $frame.attr('src', '');

        // sets it back to the correct link so that it reloads immediately on the next window open
        $frame.attr('src', vidsrc);
    };

</script>
@stop
