@extends('layouts.viewMoodle')

@section('title', 'Suporte ao Aluno')

<meta name="csrf-token" content="{{ csrf_token() }}">

@section('breadcrumbs')
<div id="breadcrumbs-wrapper">
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
                <h5 class="breadcrumbs-title">Acompanhamento do Chamado <b>num. {{ $chamado->codigoChamado }}</h5>
                <ol class="breadcrumbs">
                    <li><a href="{{ route('home') }}">Início</a></li>
                    <li class="active">Chamado ao Aluno</li>
                </ol>
            </div>
        </div>
    </div>
</div>
<!--breadcrumbs end-->
@stop

@section('content')

@include('includes.alerts')

@if ($chamado->statusChamado == 2)
<div id="card-alert" class="card green">
    <div class="card-content white-text">
        <p>Sua solicitação foi respondida.</p>
    </div>
    <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
        <span aria-hidden="true">×</span>
    </button>
</div>
@endif


<div class="row">
    <div class="col s3">
        <label>Assunto:</label><br />
        {{ $assunto->tituloAssunto }}
    </div>
    <div class="col s3">
        <label>Data Chamado:</label><br />
        {{ date('d/m/Y', strtotime($chamado->created_at)) }}
    </div>
    <div class="col s3">
        <label>Status:</label><br />
        @if($chamado->statusChamado == 0)
        <span class="label label-default">Em aberto</span>
        @endif
        @if($chamado->statusChamado == 1)
        <span class="label label-primary">Em andamento</span>
        @endif
        @if($chamado->statusChamado == 2)
        <span class="label label-success">Aguardando seu retorno</span>
        @endif
        @if($chamado->statusChamado == 3)
        <span class="label label-success">Aguardando seu atendente</span>
        @endif
        @if($chamado->statusChamado == 5)
        <span class="label label-success">Encerrado</span>
        @endif
    </div>
    <div class="col s3">
        @if ($dataResposta)
        <label>Primeiro Prazo de resposta:</label>
        {{ date('d/m/Y', strtotime($chamado->PrazoResposta)) }}
        @endif
    </div>
</div>

<div class="row">
    <div class="col s12">
        <label>Anexos: </label>
        <ul class="mailbox-attachments clearfix">
            @forelse ($anexos as $anx)
            <li>
                <span class="mailbox-attachment-icon"><i class="fa fa-file-o"></i></span>
                <div class="mailbox-attachment-info">
                    <a href="{{ $anx->link }}" class="mailbox-attachment-name" target="_blank"><i class="fa fa-paperclip"></i> {{ $anx->nomeArquivo }}</a>
                    <span class="mailbox-attachment-size"></span>
                </div>
            </li>
            @empty
            <li>Não foram anexados arquivos nesta solicitação.</li>
            @endforelse
        </ul>
    </div>
</div>

<div class="row">
    <div class="col s12">

        @forelse ($usuario as $msg)
        <div class="card hoverable">
            <div class="row">
                <div class="col s2 center-align avatar" style="border-right: 1px dotted #ccc;">
                    @if ($msg->tipoRemetente == 2)
                    <img src="{{ asset('img/avatar.png') }}" class="circle responsive-img"><br />
                    <span>Aluno</span><br />
                    @else
                    <img src="{{ asset('img/sofiav2.png') }}" class="circle responsive-img"><br />
                    <span>{!!$msg->name!!}</span><br />
                    @endif

                </div>
                <div class="col s10">
                    @if ($msg->tipoRemetente == 2)
                    <div class="card-content">
                        {!! $msg->msgChamado !!}
                    </div>
                    @else
                    <div class="card-content">
                        {!!$msg->msgChamado !!}
                    </div>

                    @endif


                </div>

            </div>

        </div>



        @empty
        <pre>Ainda não há interações neste chamado!</pre>
        @endforelse

        @if ($chamado->statusChamado == 5 || $chamado->statusChamado == 6)

        @elseif($chamado->statusChamado == 1)

        @else
        <div class="card-footer">
            <div class="row">
                <div class="col s12">
                    <a href="#finalizaAvaliacao" class="btn btn-alert btn-sm modal-trigger" onclick="getResposta()" style="background-color: #088500"> Responder</a>
                </div>

            </div>
        </div>
        @endif
    </div>
</div>



</div>
</div>
<hr>
<div class="row">
    <div class="col">
        {{-- <a href="{{ route('faq.chamado') }}" class="btn btn-default btn-sm">Voltar</a> --}}
        <a href="#voltaAnterior" class="btn btn-default btn-sm modal-trigger">Voltar</a>
    </div>
    <div class="col">
        <a href="#finalizaAvaliacao2" class="btn btn-alert btn-sm modal-trigger" onclick="getFinalizar()" style="background-color: #ff0000">Finalizar Chamado</a>
    </div>
</div>

<!-- Modal Structure -->
<div id="voltaAnterior" class="modal modal-fixed-footer">
    <div class="modal-content">
        <h4 class="tituloForm">Você deseja sair do chamado e voltar a página anterior?</h4>

        <a href="{{ route('faq.chamado') }}" class="btn btn-default btn-sm">Voltar</a>
        <a href="#!" class="modal-action modal-close btn btn-default btn-sm">Cancelar</a>
    </div>
</div>

<!-- Modal Structure -->
<div id="finalizaAvaliacao" class="modal modal-fixed-footer">
    <form action="{{ route('faq.cadResposta') }}" enctype="multipart/form-data" method="post">
        {{ csrf_field() }}
        <div class="modal-content">
            <h4 class="tituloForm">Cadastrar postagem</h4>
            <div class="dadosPost"></div>
            <div class="row">
                <div class="input-field col s12">
                    <textarea id="textarea1" name="resposta" class="materialize-textarea"></textarea>
                </div>
            </div>
            <div class="row">
                <div class="col s12 file-field input-field">
                    <div class="btn">
                        <span>Anexo</span>
                        <input type="file" name="upload" multiple>
                    </div>
                    <div class="file-path-wrapper">
                        <input class="file-path validate" type="text" placeholder="Deseja enviar um arquivo? Clique aqui" accept="image/*,.pdf">
                    </div>
                </div>
            </div>
        </div>
        <div class="modal-footer">
            <button type="submit" class="waves-effect waves-light btn blue darken-3" style="color: #fff">Salvar</button>
            <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Cancelar</a>
            <input type="hidden" name="id" value="{{ $chamado->id }}">

        </div>
    </form>
</div>

<div id="finalizaAvaliacao2" class="modal modal-fixed-footer">
    <form action="{{ route('faq.finalizar') }}" method="post">
        @csrf
        <div class="modal-content">
            <h4 class="tituloForm">Avaliação chamado</h4>
            @forelse ($atendente as $msg)
            <div class="card hoverable">
                <div class="row">
                    <div class="col s2 center-align avatar" style="border-right: 1px dotted #ccc;">
                        @if ($msg->tipoRemetente == 2)
                        @else
                        <img src="{{ asset('img/sofiav2.png') }}" class="circle responsive-img"><br />
                        <span>{!!$msg->name!!}</span><br />
                        @endif

                    </div>

                    <div class="col s4">
                        @if ($msg->tipoRemetente == 2)

                        @else

                        <div class="card-content">
                            <p>Qual sua avaliação do atendimento?</p>
                            <label>Solicitação</label>
                            @if (!$msg->avaliacao)
                            <select class="form-control" name="slcAtendimento_{{ $msg->id }}" onchange="upAvalAtendimento({{ $msg->users_id }}, this.value , {{ $chamado->id }} , {{ $chamado->alunos_matriculas_id }})">
                                <option value="" selected disabled>[Selecione]</option>
                                <option value="5">Excelente</option>
                                <option value="4">Ótimo</option>
                                <option value="3">Bom</option>
                                <option value="2">Ruim</option>
                                <option value="1">Péssimo</option>
                            </select>
                            @else
                            <select class="form-control" disabled>
                                <option value="" selected disabled>[Selecione]</option>
                                <option value="1" @if($msg->avaliacao == 1) selected="selected" @endif>Péssimo</option>
                                <option value="2" @if($msg->avaliacao == 2) selected="selected" @endif>Ruim</option>
                                <option value="3" @if($msg->avaliacao == 3) selected="selected" @endif>Bom</option>
                                <option value="4" @if($msg->avaliacao == 4) selected="selected" @endif>Ótimo</option>
                                <option value="5" @if($msg->avaliacao == 5) selected="selected" @endif>1Excelente</option>
                            </select>
                            @endif
                            <input type="hidden" name="user" value="{{ $msg->users_id }}">
                            <input type="hidden" name="id" value="{{ $chamado->id }}">
                            <input type="hidden" name="aluno" value="{{ $chamado->alunos_matriculas_id }}">
                        </div>

                        @endif
                        <div class="col s12">
                            <p>Ao clicar em <b>SALVAR</b> voce finaliza o chamado impedindo a argumentação</p>
                        </div>
                    </div>
                </div>

            </div>
            @empty
            <pre>Ainda não há interações neste chamado!</pre>
            @endforelse


        </div>
        <div class="modal-footer">
            <button type="submit" class="waves-effect waves-light btn blue darken-3" style="color: #fff">Salvar</button>
            <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Cancelar</a>
            <input type="hidden" name="id" value="{{ $chamado->id }}">
            <input type="hidden" name="aluno" value="{{ $chamado->alunos_matriculas_id }}">
        </div>
    </form>
</div>


@stop
@section('js')
<script>
    function upAvalAtendimento(atn, sts, cham, aluno) {
        $.ajax({

            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
            , type: 'POST'
            , data: {
                'atn': atn
                , 'sts': sts
                , 'cham': cham
                , 'aluno': aluno
            }
            , url: "{{ route('faq.up') }}"
            , beforeSend: function() {
                $('.msgAtendimento').html('<div class="alert alert-warning">Aguarde, carregando informações...</div>');
                $('.slcAtendimento_' + atn).attr('disabled', 'disabled');
            }
            , success: function(response) {
                $('.msgAtendimento').html(response);
            }
            , error: function() {
                $('.msgAtendimento').html('<div class="alert alert-danger">Ops! Houve um erro, atualize a página e tente novamente</div>');
            }
        });
    }

</script>
@endsection
