@extends('layouts.viewMoodle')

@section('title', 'Central de Negociação')

@section('breadcrumbs')
<div id="breadcrumbs-wrapper">
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
                <h5 class="breadcrumbs-title">Central de Negociação</h5>
                <ol class="breadcrumbs">
                    <li><a href="{{ route('home.moodle') }}">Home</a></li>
                    <li class="active">Central de Negociação</li>
                </ol>
            </div>
        </div>
    </div>
</div>
@stop

@section('content')

@include('includes.alerts')

<p>Olá <b>{{ auth()->user()->nomeAluno }}</b>,</p>
<p>Seja Bem Vindo(a) a sua central de negociações, identificamos que você possui as seguintes mensalidades atrasadas:</p>

<table class="bordered striped">
    <thead>
        <tr>
            <th>Código</th>
            <th>Vencimento</th>
            <th>Dias Atraso</th>
            <th>Valor Boleto</th>
            <th>Parcela</th>
            <th>Status</th>
            <th>Juros</th>
            <th>Multa</th>
            <th>Total à Negociar</th>
        </tr>
    </thead>
    <tbody>
        @forelse ($boletos as $bol)
            <tr>
                <td>{{ $bol['codigo'] }}</td>
                <td>{{ $bol['dataVcto'] }}</td>
                <td>{{ $bol['diasAtraso'] }}</td>
                <td>{{ $bol['valorBoleto'] }}</td>
                <td>{{ $bol['parcela'] }}</td>
                <td>
                    @if($bol['statusFatura'] == 0)
                        <span class="label label-default">Em aberto</span>
                    @endif
                    @if($bol['statusFatura'] == 1)
                        <span class="label label-danger">Atrasada</span>
                    @endif
                    @if($bol['statusFatura'] == 2)
                        <span class="label label-success">Paga</span>
                    @endif
                    @if($bol['statusFatura'] == 3)
                        <span class="label label-warning">Negociada</span>
                    @endif
                    @if($bol['statusFatura'] == 4)
                        <span class="label label-info">Isento</span>
                    @endif
                    @if($bol['statusFatura'] == 5)
                        <span class="label bg-navy">Cancelada</span>
                    @endif
                </td>
                <td>{{ $bol['juros'] }}</td>
                <td>{{ $bol['multa'] }}</td>
                <td>{{ $bol['totalBoleto'] }}</td>
            </tr>
        @empty

        @endforelse

    </tbody>
</table>

@if($matricula->isHabilitadoNegociar())
<p>O total da sua dívida conosco é de R$ {{ number_format($totalDivida, 2, ',', '.') }} - para regularizar sua situação escolha um de nossos planos de pagamento abaixo:</p>

<div class="row">
    @forelse ($negociacao as $item)
    <form id="form{{ $item['idplano']}}" action="{{ route('boletos.negociados') }}" method="post">
        {{ csrf_field() }}
            <div class="col s12 m6 l6">
                <div class="card">
                    <div class="card-content blue-grey white-text">
                        <p class="card-stats-title">{{ $item['descricao'] }}</p>
                        @forelse ($item['plano'] as $fat)
                            <h5 class="card-stats-number flow-text">
                                <div class="row">
                                    <div class="col s6">
                                        R$ {{ number_format($fat['valorParcela'],2,',','.') }}<br />
                                        <small>Valor</small>
                                    </div>
                                    <div class="col s6">
                                        {{ $fat['vencimento'] }}<br />
                                        <small>Vencimento</small>
                                    </div>
                                </div>
                            </h5>
                            <input type="hidden" name="valorParcela[]" value="{{ number_format($fat['valorParcela'],2,'.','') }}">
                            <input type="hidden" name="dataVcto[]" value="{{ implode("-", array_reverse(explode('/', $fat['vencimento']))) }}">
                        @empty
                        @endforelse
                        </p>
                    </div>
                    <div class="card-action blue-grey darken-2" style="text-align:center">
                        <a class="waves-effect waves-light btn-flat amber-text darken-2 modal-trigger" href="#modal_{{ $item['idplano'] }}">Confirmar</a>
                        {{-- pega ids das faturas atrasadas --}}
                        @forelse ($boletos as $fat)
                            <input type="hidden" name="boleto[]" value="{{ $fat['idFatura'] }}">
                        @empty
                        @endforelse
                    </div>
                </div>
            </div>


            <!-- Modal Structure -->
            <div id="modal_{{ $item['idplano'] }}" class="modal">
                <div id="modalconfirmacao{{ $item['idplano']}}" class="modal-content center">
                    <h4>Atenção!</h4>
                    <p>Deseja realmente confirmar a opção - {{ $item['descricao'] }}?</p>
                </div>
                <div class="modal-footer">
                    <button id="confirmar{{ $item['idplano']}}" type="submit" class="btn green dar-2" onclick="confirmMatricula({{ $item['idplano']}})" >Confirmar</button>
                    <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Cancelar</a>
                </div>
            </div>

        </form>
    @empty

    @endforelse

    <p>Prezado(a) discente, caso não concorde com a proposta oferecida pela faculdade, por favor <a href="{{ route('faq.chamado') }}">clique aqui</a> para acessar sua área de suporte ao aluno, logo após clique em <b>Solicitar Ajuda</b> e selecione Orientação - Negociação.</p>
</div>
@else
<p>Por gentileza, entre em contato urgentemente com nossa central de atendimento. Gostaríamos de conversar para resolver as pendências que constam em nosso sistema.</p>
<p>O total da sua dívida conosco é de R$ {{ number_format($totalDivida, 2, ',', '.') }} - para regularizar sua situação entre em contato via <a href="{{ route('faq.chamado') }}">Suporte</a></p>
@endif
    <!-- Modal -->
    <div class="modal fade" id="confMat" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h4 class="modal-title" id="myModalLabel">Atenção!</h4>
                </div>
                <div class="modal-body">
                    <p  id="infonego"style="color:#333 !important"></p>
                    <p id="imglod" class="center"><img src="{{ asset('/images/loading2.gif') }}" alt=""></p>
                </div>
            </div>
        </div>
    </div>

<script type="text/javascript">

function confirmMatricula(id){

$('#confirmar'+id).attr("disabled", true);
var imglod = document.getElementById("imglod").innerHTML;
document.getElementById("modalconfirmacao"+id).innerHTML = document.getElementById("modalconfirmacao"+id).innerHTML + imglod;
$('#form'+id).submit();
}

    history.pushState(null, null, location.href);
    window.onpopstate = function () {
        history.go(1);
    }
</script>


@stop

