@extends('layouts.viewMoodle')

@section('title', 'Central de Negociação')


@section('css_custom')
<style>
    input{ color: #000 !important; }
</style>
@stop

@section('breadcrumbs')
<div id="breadcrumbs-wrapper">
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
                <h5 class="breadcrumbs-title">Central de Negociação</h5>
                <ol class="breadcrumbs">
                    <li><a href="{{ route('home.moodle') }}">Home</a></li>
                    <li class="active">Central de Negociação</li>
                </ol>
            </div>
        </div>
    </div>
</div>
@stop

@section('content')

@include('includes.alerts')

<div id="card-alert" class="card orange">
    <div class="card-content white-text">
        <b>Atenção!</b> Você só poderá realizar uma nova negociação quando esta estiver quitada.
    </div>
</div>

<div class="row">
    <div class="col s2">
        <div class="form-group">
            <label>Matrícula:</label>
            <input type="text" value="{{ $matricula->codMatricula }}" class="form-control" disabled>
        </div>
    </div>
    <div class="col s4">
        <div class="form-group">
            <label>Aluno(a):</label>
            <input type="text" value="{{ $matricula->nomeAluno }}" class="form-control" disabled>
        </div>
    </div>
    <div class="col s3">
        <div class="form-group">
            <label>CPF:</label>
            <input type="text" value="{{ $matricula->cpfAluno }}" class="form-control" disabled>
        </div>
    </div>
    <div class="col s3">
        <div class="form-group">
            <label>Fone:</label>
            <input type="text" value="{{ $matricula->foneFixo }} {{ $matricula->foneCelular }}" class="form-control" disabled>
        </div>
    </div>
</div>

<div class="row">
    <div class="col s3">
        <div class="form-group">
            <label>Instituição:</label>
            <input type="text" value="{{ $matricula->nomeFantasia }}" class="form-control" disabled />
        </div>
    </div>
    <div class="col s6">
        <div class="form-group">
            <label>Curso:</label>
            <input type="text" class="form-control" value="{{ $matricula->siglaCurso }} - {{ $matricula->nomeCurso }}" disabled />
        </div>
    </div>
    <div class="col s3">
        <div class="form-group">
            <label>Turma:</label>
            <input type="text" class="form-control" value="{{ $matricula->nomeTurma }}" disabled />
        </div>
    </div>
</div>

<h4>Dados da Negociação</h4>

<div class="row">
    <div class="col s3">
        <div class="form-group">
            <label>Total de Faturas</label>
            <input type="text" value="{{ number_format($negociacao->totalDebito,2,',','.') }}" class="form-control" disabled />
        </div>
    </div>
    <div class="col s3">
        <div class="form-group">
            <label>Total do Desconto</label>
            <input type="text" value="{{ number_format($negociacao->totalDesconto,2,',','.') }}" class="form-control" disabled />
        </div>
    </div>
    <div class="col s3">
        <div class="form-group">
            <label>Desconto Concedido</label>
            @if($negociacao->concessaoDesconto == 1)
                <input type="text" value="Sim" class="form-control" disabled />
            @endif
            @if($negociacao->concessaoDesconto == 2)
                <input type="text" value="Não" class="form-control" disabled />
            @endif

        </div>
    </div>
    <div class="col s3">
        <div class="form-group">
            <label>Total da Negociação</label>
            @if($negociacao->concessaoDesconto == 1)
                <input type="text" value="{{ number_format(($negociacao->totalDebito-$negociacao->totalDesconto),2,',','.') }}" class="form-control" disabled />
            @endif
            @if($negociacao->concessaoDesconto == 2)
                <input type="text" value="{{ number_format(($negociacao->totalDebito),2,',','.') }}" class="form-control" disabled />
            @endif

        </div>
    </div>
</div>

<div class="row">
    <div class="col s12 m12 l12">
        <h4>Faturas da Negociação</h4>
        <table class="table table-hover table-condensed table-striped responsive-table">
            <thead>
                <tr>
                    <th></th>
                    <th>Cód. Fatura</th>
                    <th>Vencimento</th>
                    <th>Valor</th>
                    <th>Status</th>
                </tr>
            </thead>
            <tbody>
                @forelse ($faturasNegociacao as $fat1)
                <tr>
                    <td>
                        @if($fat1->statusFatura < 2)
                            <a href="https://sis.estratego.site/boleto/{{ base64_encode(base64_encode(base64_encode($fat1['id']))) }}" class="btn btn-sm btn-default" title="Gerar Boleto" target="_blank" download>Baixar</a>
                        @endif
                    </td>
                    <td>{{ $fat1->codFatura }}</td>
                    <td>{{ date('d/m/Y', strtotime($fat1->dataVcto)) }}</td>
                    <td>{{ number_format($fat1->valorFatura, 2,',','.') }}</td>
                    <td>
                        @if($fat1->statusFatura == 0)
                            <span class="label label-default">Em aberto</span>
                        @endif
                        @if($fat1->statusFatura == 1)
                            <span class="label label-danger">Atrasada</span>
                        @endif
                        @if($fat1->statusFatura == 2)
                            <span class="label label-success">Paga</span>
                        @endif
                        @if($fat1->statusFatura == 3)
                            <span class="label label-warning">Negociada</span>
                        @endif
                        @if($fat1->statusFatura == 4)
                            <span class="label label-info">Isento</span>
                        @endif
                        @if($fat1->statusFatura == 5)
                            <span class="label bg-navy">Cancelada</span>
                        @endif
                        @if($fat1->statusFatura == 6)
                            <span class="label bg-primary">Crédito Financeiro</span>
                        @endif
                        @if($fat1->statusFatura == 7)
                            <span class="label bg-purple">Crédito Disciplina</span>
                        @endif
                    </td>
                </tr>
                @empty
                <tr>
                    <td colspan="5">Não há faturas de negociação</td>
                </tr>
                @endforelse

            </tbody>
        </table>
    </div>
</div>
<br />
<hr />
<div class="row">
    <div class="col s12">
        <a href="{{ route('home.moodle') }}" class="btn">Sair</a>
    </div>
</div>

@stop
