<meta name="csrf-token" content="{{ csrf_token() }}">
@extends('layouts.viewMoodle')

@section('title', 'Home')

@section('breadcrumbs')
<div id="breadcrumbs-wrapper">
  <div class="container">
    <div class="row">
      <div class="col s12 m12 l12">
        <h5 class="breadcrumbs-title"> {{ (auth()->user()->nomeAluno)? 'Olá ' . auth()->user()->nomeAluno : '' }}</h5>
        <ol class="breadcrumbs">
            <li class="active">Início</li>
        </ol>
      </div>
    </div>
  </div>
</div>
@include('includes.alerts')
<!--breadcrumbs end-->
@stop

@section('content')

@if(Request::session()->get('matricula')['inadimplente'] == 1 && Request::session()->get('matricula')['bolsa'] != 276)
  <div class="row">
    <div class="col s12">
      <div id="card-alert" class="card red">
        <div class="card-content white-text">

            <h4><i class="mdi-alert-warning"></i> ATENÇÃO:</h4>
            <h5>Prezado aluno, <a href="{{ route('moodle.financeiro') }}">clique aqui</a> para negociar seus débitos com a Instituição.</h5>
        </div>
        <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
    </div>
  </div>
@endif

{{-- ÁREA DE NOTIFICAÇÕES AO ALUNO --}}
  <div class="row">

   @if(count($mensagens) >= 0)
  <div class="row">
    <div class="col s12">
      <div id="card-alert" class="card red">
        <div class="card-content white-text">
        <p><i class="mdi-alert-warning"></i> ATENÇÃO: <br>Instabilidade no sistema.</br>
           <br>Prezado(a) aluno(a),</br> <br>Informamos que para melhor atendê-lo(a) e visando melhorias contínuas, a IES estará passando por atualizações no sistema. Em função disso, poderá ocorrer instabilidades no sistema no dia 19/12/2022. Mas, fique tranquilo que você não será prejudicado(a). Qualquer dúvida entre em contato via Chamado no CAD.</br>

          <br>Agradecemos sua compreensão.</br> </p>
        </div>
        <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
    </div>
  </div>
@endif

    @if(Request::session()->get('matricula')['modalidade'] != 3)
    <div class="col s12">
      <div id="card-alert" class="card green">
        <div class="card-content white-text">
          <p>
          @if(Request::session()->get('matricula')['idEmpresa'] == 17)
          <i class="mdi-image-movie-creation"></i>
          Começou seu curso agora? Então assista ao vídeo de ambientação preparado para você. Bons Estudos!
          <a href="{{route('ambientacao.inicio')}}" ><b>Clique Aqui</b></a>
          @else
            <i class="mdi-image-movie-creation"></i>
            Começou seu curso agora? Então assista ao vídeo de ambientação preparado para você. Bons Estudos!
            @if(Request::session()->get('matricula')['tipoCurso'] == 1)
            <a href="{{route('ambientacao.inicio')}}" ><b>Clique Aqui</b></a>
            @endif
            @if(Request::session()->get('matricula')['tipoCurso'] == 2)
            <a href="{{route('ambientacao.inicio')}}" ><b>Clique Aqui</b></a>
            @endif
        @endif
          </p>
        </div>
        <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
    </div>
    @endif
  </div>



@if(count($mensagens) > 0)
  <div class="row">
    <div class="col s12">
      <div id="card-alert" class="card orange">
        <div class="card-content white-text">
        <p><i class="mdi-alert-warning"></i> ATENÇÃO: Você possui {{ count($mensagens)}} mensagens não lidas.</p>
        </div>
        <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
    </div>
  </div>
@endif

{{-- BANNER PÓS GRADUAÇÃO LIVE EAD --}}
{{-- @if(in_array(Request::session()->get('matricula')['idEmpresa'], [5,7]))
    <a href="https://estratego.com.br/natal-estratego/" target="_blank" class="text-center">
        <picture>
            <source media="(max-width: 480px)" srcset="{{ url('img/banners/banner_natal2021_mobile.gif') }}">
            <source media="(max-width: 768px)" srcset="{{ url('img/banners/banner_natal2021_mobile.gif') }}">
            <source media="(min-width: 769px)" srcset="{{ url('img/banners/banner_natal2021_full.gif') }}">
            <img src="{{ url('img/banners/banner_natal2021_sull.gif') }}" class="responsive-img" style="width: 100%" />
        </picture>
    </a>
@endif --}}
{{-- FIM DA ÁREA DE NOTIFICAÇÕES AO ALUNO --}}

{{-- ÁREA DE CARDS --}}
<div class="row">
    <div class="col s12 m6 l3 marginTopButton10">
      <a href="{{ (Request::session()->get('matricula')['linkava'] && !Request::session()->get('matricula')['bloqueioSAV']) ? route('aluno.home') : '#msgBol' }}" {!! (Request::session()->get('matricula')['bloqueioSAV']) ? 'class="modal-trigger"' : '' !!}>
        <img src="{{ asset('img/sav.jpg') }}" class="responsive-img" alt="">
      </a>
    </div>
  <div class="col s12 m6 l3 marginTopButton10">
    <a href="{{route('comunicado.home')}}">
      <img src="{{ asset('img/artes-novas-savComunicados.png') }}" class="responsive-img" alt=" ">
    </a>
  </div>
  <div class="col s12 m6 l3 marginTopButton10">
    <a href="{{route('moodle.frequencias')}}">
      <img src="{{ asset('img/artes-novas-savFrequência.png') }}" class="responsive-img" alt=" ">
    </a>
  </div>
  {{-- Módulo Notas apenas para turmas presenciais --}}
  @if(Request::session()->get('matricula')['modalidade'] == 1)
  <div class="col s12 m6 l3 marginTopButton10">
    <a href="{{ route('moodle.notas') }}">
      <img src="{{ asset('img/artes-novas-savNotas.png') }}" class="responsive-img" alt=" ">
    </a>
  </div>
  @endif
  {{-- Módulo Notas apenas para turmas EaD --}}
  @if(Request::session()->get('matricula')['modalidade'] == 2)
  <div class="col s12 m6 l3 marginTopButton10">
    <a href="{{ route('moodle.notasEaD') }}">
      <img src="{{ asset('img/artes-novas-savNotas.png') }}" class="responsive-img" alt=" ">
    </a>
  </div>
  @endif
  @if(Request::session()->get('matricula')['modalidade'] == 3)
  <div class="col s12 m6 l3 marginTopButton10">
    <a href="{{ route('moodle.notasEaD') }}">
      <img src="{{ asset('img/artes-novas-savNotas.png') }}" class="responsive-img" alt=" ">
    </a>
  </div>
  @endif
  <div class="col s12 m6 l3 marginTopButton10">
    <a href="{{ route('moodle.financeiro') }}">
      <img src="{{ asset('img/cardExtratoFinanceiro.png') }}" class="responsive-img" alt=" ">
    </a>
  </div>
  <div class="col s12 m6 l3 marginTopButton10">
    <a href="{{ route('moodle.protocolos') }}">
      <img src="{{ asset('img/artes-novas-savProtocolos.png') }}" class="responsive-img" alt=" ">
    </a>
  </div>
  {{-- Módulo Notas apenas para turmas Presencial --}}
  @if(Request::session()->get('matricula')['modalidade'] == 1)
  <div class="col s12 m6 l3 marginTopButton10">
    <a href="{{ route('moodle.calendarioModulos') }}">
      <img src="{{ asset('img/artes-novas-savCalendário.png') }}" class="responsive-img" alt=" ">
    </a>
  </div>
  @endif
  @if(Request::session()->get('matricula')['modalidade'] == 3)
  <div class="col s12 m6 l3 marginTopButton10">
    <a href="{{ route('moodle.calendarioSemi') }}">
      <img src="{{ asset('img/artes-novas-savCalendário.png') }}" class="responsive-img" alt=" ">
    </a>
  </div>
  @endif
  {{-- Módulo Feedback retirado do Presencial Posti #6092 --}}
  @if(Request::session()->get('matricula')['modalidade'] == 2)
{{--  <div class="col s12 m6 l3 marginTopButton10">--}}
{{--    <a href="#">      --}}
{{--      <img src="{{ asset('img/card_feedback.jpg') }}" class="responsive-img">--}}
{{--    </a>    --}}
{{--  </div>--}}

  @endif
  {{-- Módulo Notas apenas para turmas EaD --}}
  @if(Request::session()->get('matricula')['modalidade'] != 1)
  @switch(Request::session()->get('matricula')['idEmpresa'])
    @case(8)
    @case(10)
    @case(12)
    @case(16)
    @case(18)
    <div class="col s12 m6 l3 marginTopButton10">
        <a href="{{ route('faq.chamado') }}">
          <img src="{{ asset('img/cad.jpg') }}" class="responsive-img" alt=" ">
        </a>
    </div>
    @break
    @default
      <div class="col s12 m6 l3 marginTopButton10">
        <a href="{{ route('faq.chamado') }}">
          <img src="{{ asset('img/cad.jpg') }}" class="responsive-img" alt=" ">
        </a>
    </div>
    @break
@endswitch




  @endif
  <!--
  <div class="col s12 m6 l3 marginTopButton10">
    <a href="{{ route('moodle.dslcMatricula') }}">
      <img src="{{ asset('img/card_matriculas.jpg') }}" class="responsive-img">
    </a>
  </div>
  -->


</div>

{{-- FIM DA ÁREA DE CARDS --}}

<div class="row">
  <div class="col s12 m12 l6">
      <ul id="projects-collection" class="collection">
        <li class="collection-item avatar">
          <i class="mdi-file-folder circle bgEstratego"></i>
          <span class="collection-header">Comunicados</span>
          <p>Mensagens e avisos importantes</p>
          <a href="#" class="secondary-content"></i></a>
        </li>
        @forelse ($mensagens as $msg)
          <li class="collection-item">
            <div class="row">
              <div class="col s6">
                <p class="collections-title"><a href="{{ route('comunicado.show', [$msg->id]) }}" title="Abrir Comunicado">{{ $msg->assuntoComunicado }}</a></p>
                <p class="collections-content"> {!!substr(strip_tags($msg->msgComunicado),0,60)!!}</p>
              </div>
              <div class="col s3">
                <span class="task-cat bgEstratego">{{ $msg->name }}</span>
              </div>
              <div class="col s3">
                @if($msg->statusLeitura == 0)
                  <a href="{{ route('comunicado.show', [$msg->id]) }}" title="Abrir Comunicado"><i class="fa fa-envelope text-yellow"></i></a>
                @endif
                @if($msg->statusLeitura == 1)
                  <a href="{{ route('comunicado.show', [$msg->id]) }}" title="Abrir Comunicado"><i class="fa fa-envelope-open text-green"></i></a>
                @endif
                  {{ date('d/m/Y', strtotime($msg->dataPublicacao)) }}
              </div>
            </div>
          </li>
            @empty
            <li class="collection-item">Você não tem comunicados não lidos!</li>
            @endforelse
        </ul>
    </div>

        <div class="col s12 m12 l6">
            <ul id="projects-collection" class="collection">
              <li class="collection-item avatar">
                <i class="mdi-social-mood circle bgEstratego"></i>
                <span class="collection-header">Registros de Atendimento</span>
                <p>Avalie o seu atendimento<p>
                <a href="#" class="secondary-content"></i></a>
              </li>
              <table class="striped" style="margin-bottom: 140px">
                <thead>
                  <tr>
                    <th>Data</th>
                    <th>Assunto Atendido</th>
                    <th>Atendente</th>
                    <th>Sua Avaliação</th>
                  </tr>
                </thead>
                <tbody>
                    @forelse ($atendimento as $atn)
                    <tr>
                        <td class="mailbox-star">
                          {{ date('d/m/Y H:i', strtotime($atn->created_at)) }}h
                        </td>
                        <td class="mailbox-name">
                          {{ $atn->nomeAtendimento }}
                        </td>
                        <td class="mailbox-subject">
                          {{ $atn->nomeUsuario }}
                        </td>
                        <td>
                          @if (!$atn->avaliacaoAtendimento)
                            <select class="form-control slcAtendimento_{{ $atn->id }}" onchange="upAvalAtendimento({{ $atn->id }}, this.value)">
                                <option value="" selected disabled>[Selecione]</option>
                                <option value="5">Excelente</option>
                                <option value="4">Ótimo</option>
                                <option value="3">Bom</option>
                                <option value="2">Ruim</option>
                                <option value="1">Péssimo</option>
                            </select>
                          @else
                            <select class="form-control" disabled>
                                <option value="" selected disabled>[Selecione]</option>
                                <option value="1" @if($atn->avaliacaoAtendimento == 1) selected="selected" @endif>Péssimo</option>
                                <option value="2" @if($atn->avaliacaoAtendimento == 2) selected="selected" @endif>Ruim</option>
                                <option value="3" @if($atn->avaliacaoAtendimento == 3) selected="selected" @endif>Bom</option>
                                <option value="4" @if($atn->avaliacaoAtendimento == 4) selected="selected" @endif>Ótimo</option>
                                <option value="5" @if($atn->avaliacaoAtendimento == 5) selected="selected" @endif>Excelente</option>
                            </select>
                          @endif
                        </td>
                    </tr>
                    @empty
                    Ainda não há registros de atendimento!
                    @endforelse
                    </tbody>
              </table>
                  </ul>
        </div>


    </div>


<script type="text/javascript">

    function upAvalAtendimento(atn, sts){
      $.ajax({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            },
            type: 'POST',
            data: {'atn': atn, 'sts': sts},
            url: "{{ route('atendimento.up') }}",
            beforeSend: function(){
                $('.msgAtendimento').html('<div class="alert alert-warning">Aguarde, carregando informações...</div>');
                $('.slcAtendimento_'+atn).attr('disabled', 'disabled');
            },
            success: function(response){
                $('.msgAtendimento').html(response);
            },
            error: function(){
                $('.msgAtendimento').html('<div class="alert alert-danger">Ops! Houve um erro, atualize a página e tente novamente</div>');
            }
        });
    }
</script>
@stop
