<!DOCTYPE html>
<html lang="pt-br">
<!--================================================================================
 Item Name: Sistema Academico
 Version: 0.0.1
 Author: Faculdade Estratego
 Author URL: http://www.estratego.com.br
================================================================================ -->

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="msapplication-tap-highlight" content="no">
    <meta name="description"
        content="Materialize is a Material Design Admin Template,It's modern, responsive and based on Material Design by Google. ">
    <meta name="keywords"
        content="materialize, admin template, dashboard template, flat admin template, responsive admin template,">
    <title>Sala de aula</title>

    <!-- Favicons-->
    <link rel="icon" href="images/favicon/favicon-32x32.png" sizes="32x32">
    <!-- Favicons-->
    <link rel="apple-touch-icon-precomposed" href="images/favicon/apple-touch-icon-152x152.png">
    <!-- For iPhone -->
    <meta name="msapplication-TileColor" content="#00bcd4">
    <meta name="msapplication-TileImage" content="images/favicon/mstile-144x144.png">
    <!-- For Windows Phone -->


    <!-- CORE CSS-->
    <link href="{{ asset('css/materialize.css') }}" type="text/css" rel="stylesheet" media="screen,projection">
    <link href="{{ asset('css/style.css') }}" type="text/css" rel="stylesheet" media="screen,projection">
    <!-- CSS style Horizontal Nav-->
    <link href="{{ asset('css/layouts/style-horizontal.css') }}" type="text/css" rel="stylesheet"
        media="screen,projection">
    <!-- Custome CSS-->
    <link href="{{ asset('css/custom/custom-style.css') }}" type="text/css" rel="stylesheet"
        media="screen,projection">

    <!-- INCLUDED PLUGIN CSS ON THIS PAGE -->
    <link href="{{ asset('js/plugins/perfect-scrollbar/perfect-scrollbar.css') }}" type="text/css" rel="stylesheet"
        media="screen,projection">
    <link href="{{ asset('js/plugins/jvectormap/jquery-jvectormap.css') }}" type="text/css" rel="stylesheet"
        media="screen,projection">
    <link href="{{ asset('js/plugins/chartist-js/chartist.min.css') }}" type="text/css" rel="stylesheet"
        media="screen,projection">


        <!-- Global site tag (gtag.js) - Google Analytics -->
        <script async src="https://www.googletagmanager.com/gtag/js?id=G-ZCEYKHFT02"></script>
        <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'G-ZCEYKHFT02');
        </script>

        <!-- Facebook Pixel Code -->
        <script>
        !function(f,b,e,v,n,t,s)
        {if(f.fbq)return;n=f.fbq=function(){n.callMethod?
        n.callMethod.apply(n,arguments):n.queue.push(arguments)};
        if(!f._fbq)f._fbq=n;n.push=n;n.loaded=!0;n.version='2.0';
        n.queue=[];t=b.createElement(e);t.async=!0;
        t.src=v;s=b.getElementsByTagName(e)[0];
        s.parentNode.insertBefore(t,s)}(window, document,'script',
        'https://connect.facebook.net/en_US/fbevents.js');
        fbq('init', '2459938377610944');
        fbq('track', 'PageView');
        </script>
        <noscript>
        <img height="1" width="1" style="display:none" 
            src="https://www.facebook.com/tr?id=2459938377610944&ev=PageView&noscript=1"/>
        </noscript>
        <!-- End Facebook Pixel Code -->

</head>

<body>
    <!-- Start Page Loading -->
    <div id="loader-wrapper">
        <div id="loader"></div>
        <div class="loader-section section-left"></div>
        <div class="loader-section section-right"></div>
    </div>
    <!-- End Page Loading -->

    <!-- //////////////////////////////////////////////////////////////////////////// -->

    <!-- START HEADER -->
    <header id="header" class="page-topbar">
        <!-- start header nav-->
        <div class="navbar-fixed">
            <nav class="navbar-color black">
                <div class="nav-wrapper">
                    <ul class="left">
                        <li>

                            <h1 class="logo-wrapper"><a href="{{ route('home.moodle') }}" class="brand-logo darken-1">
                                    <img id='teste' src="{{ asset('img/estratego.png') }}" alt="Estratego logo"></a>
                                <span class="logo-text">Estratego</span>
                            </h1>

                        </li>
                    </ul>
                    <div class="header-search-wrapper hide-on-med-and-down">
                    </div>
                    <ul class="right hide-on-med-and-down">
                        <li><a class="dropdown-item"
                                href="#">{{ isset(auth()->user()->nomeAluno) ? auth()->user()->nomeAluno : '' }}</a> </li>
                        @guest
                        @else
                            <li>
                                <span class="caret"></span>
                                <div aria-labelledby="navbarDropdown">
                                    <a class="dropdown-item" href="{{ route('logout') }}" onclick="event.preventDefault();
                                                     document.getElementById('logout-form').submit();">
                                        {{ __('Sair') }}
                                    </a>
                                    <form id="logout-form" action="{{ route('logout') }}" method="POST"
                                        style="display: none;">
                                        @csrf
                                    </form>
                                </div>
                            </li>
                        @endguest
                    </ul>
                    <!-- translation-button -->
                </div>
            </nav>
        </div>
        <!-- end header nav-->
    </header>
    <!-- END HEADER -->

    <!-- //////////////////////////////////////////////////////////////////////////// -->

    <!-- START MAIN -->
    <main>
        <div id="main">
            <!-- START WRAPPER -->
            <div class="wrapper">
                @yield('header_app')
                <!-- //////////////////////////////////////////////////////////////////////////// -->

                <!-- START CONTENT -->
                <div class="container">
                    <div class="section">
                        @yield('content')
                        <div class="divider"></div>
                    </div>
                    <!-- END CONTENT -->
                    <!-- //////////////////////////////////////////////////////////////////////////// -->
                </div>
                <!-- END WRAPPER -->
            </div>
    </main>
    <!-- END MAIN -->

    <!-- //////////////////////////////////////////////////////////////////////////// -->

    <!-- START FOOTER -->
    <footer class="page-footer black center-align">
        <div class="footer-copyright">
            <div class="container">
                <span>Copyright © {{ date('Y') }} <a class="grey-text text-lighten-4" href="#"
                        target="_blank">Código 43</a> Todos os direitos Resevados.</span>
            </div>
        </div>
    </footer>
    <!-- END FOOTER -->


    <!-- ================================================
    Scripts
    ================================================ -->

    <!-- jQuery Library -->
    <script type="text/javascript" src="{{ asset('js/plugins/jquery-1.11.2.min.js') }}"></script>
    <!--materialize js-->
    <script type="text/javascript" src="{{ asset('js/materialize.js') }}"></script>
    <!--scrollbar-->
    <script type="text/javascript" src="{{ asset('js/plugins/perfect-scrollbar/perfect-scrollbar.min.js') }}"></script>


    <!-- chartist
    <script type="text/javascript" src="{{ url('/') }}/js/plugins/chartist-js/chartist.min.js"></script>
-->
    <!-- chartjs -->
    <script type="text/javascript" src="{{ asset('js/plugins/chartjs/chart.min.js') }}"></script>
    <!--<script type="text/javascript" src="{{ url('/') }}/js/plugins/chartjs/chart-script.js"></script>
-->
    <!-- sparkline -->
    <script type="text/javascript" src="{{ asset('js/plugins/sparkline/jquery.sparkline.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/plugins/sparkline/sparkline-script.js') }}"></script>


    <!--jvectormap-->
    <script type="text/javascript" src="{{ asset('js/plugins/jvectormap/jquery-jvectormap-1.2.2.min.js') }}"></script>
    <script type="text/javascript" src="{{ asset('js/plugins/jvectormap/jquery-jvectormap-world-mill-en.js') }}">
    </script>
    <script type="text/javascript" src="{{ asset('js/plugins/jvectormap/vectormap-script.js') }}"></script>


    <!--plugins.js - Some Specific JS codes for Plugin Settings-->
    <script type="text/javascript" src="{{ asset('js/plugins.js') }}"></script>
    <!--custom-script.js - Add your own theme custom JS-->
    <script type="text/javascript" src="{{ asset('js/custom-script.js') }}"></script>

    <script>
        var img = document.getElementById('teste');
        var logoEst = "{{ asset('img/logo_estratego.png') }}";
        var logoCar = "{{ asset('img/logo_carreira2.png') }}";
        var logoinex = "{{ asset('img/logo_inex6.png') }}";

        var xurl = location.host;

        if (xurl == "carreira.saladeaulavirtual.com") {
            img.src = logoCar;

        } else if (xurl == "inex.saladeaulavirtual.com") {
            img.src = logoinex;

        } else {
            img.src = logoEst;

        }
    </script>

    @yield('js')

</body>

</html>
