@forelse ($recursos as $rec)

    @if ($rec['tipoRecurso'] == 1)
        <div class="center-align" style="margin-bottom: var(--space-lg)">
            <img src="{{ $rec['link'] }}" class="responsive-img" style="position:relative; z-index: 98;">
            {{-- <img src="{{ asset('storage/recursos_banner/'.$rec['arquivoBanner']) }}" class="responsive-img" style="position:relative; z-index: 98;"> --}}
        </div>
    @else

        <div class="cd-timeline__block">
            {!! getIconRecursoRoad($rec['tipoRecurso']) !!}

            @switch($rec['tipoRecurso'])
                {{-- VIDEO --}}
                @case(2)
                    <div class="cd-timeline__content text-component">
                        <div class="row">
                            <div class="col s10 left-align">
                                <h2>{{ $rec['nomeRecurso'] }}</h2>
                            </div>
                            <div class="col s2 right-align">
                                @if ($rec['statusAcesso'] == 1)
                                    <i class="material-icons green-text">check_circle</i>
                                @else
                                    <i class="material-icons">panorama_fish_eye</i>
                                @endif
                            </div>
                        </div>
                        <p class="color-contrast-medium">{!! $rec['descVideo'] !!}</p>
                        <div class="flex justify-between items-center">
                            <span class="cd-timeline__date"></span>
                            <a href="{{ route('disciplina.recurso', [$rec['idRecurso']]) }}"
                                class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                style="color: #fff;">Acessar</a>
                        </div>
                    </div> <!-- cd-timeline__content -->
                @break
                {{-- ARQUIVOS --}}
                @case(3)
                    <div class="cd-timeline__content text-component">
                        <div class="row">
                            <div class="col s10 left-align">
                                <h2>{{ $rec['nomeRecurso'] }}</h2>
                            </div>
                            <div class="col s2 right-align statusAcesso_{{ $rec['idRecurso'] }}">
                                @if ($rec['statusAcesso'] == 1)
                                    <i class="material-icons green-text">check_circle</i>
                                @else
                                    <i class="material-icons">panorama_fish_eye</i>
                                @endif
                            </div>
                        </div>

                        <p class="color-contrast-medium">{!! $rec['descArquivo'] !!}</p>
                        <div class="flex justify-between items-center">
                            <span class="cd-timeline__date"></span>
                            <a href="{{ $rec['link'] }}"
                                class="btn waves-effect waves-light blue-grey darken-3 right-align" style="color: #fff;"
                                target="_blank" download onclick="getAcessoLink({{ $rec['idRecurso'] }})">Acessar</a>
                            {{-- <a href="{{ asset('storage/recursos_arquivos/'.$rec['nomeArquivo']) }}" class="btn waves-effect waves-light blue-grey darken-3 right-align" style="color: #fff;" target="_blank" download onclick="getAcessoLink({{ $rec['idRecurso'] }})">Acessar</a> --}}
                        </div>
                    </div> <!-- cd-timeline__content -->
                @break
                {{-- PAGINAS --}}
                @case(4)
                    <div class="cd-timeline__content text-component">
                        <div class="row">
                            <div class="col s10 left-align">
                                <h2>{{ $rec['tituloPagina'] }}</h2>
                            </div>
                            <div class="col s2 right-align">
                                @if ($rec['statusAcesso'] == 1)
                                    <i class="material-icons green-text">check_circle</i>
                                @else
                                    <i class="material-icons">panorama_fish_eye</i>
                                @endif
                            </div>
                        </div>

                        <p class="color-contrast-medium">{!! $rec['resumoPagina'] !!}</p>
                        <div class="flex justify-between items-center">
                            <span class="cd-timeline__date"></span>
                            <a href="{{ route('disciplina.recurso', [$rec['idRecurso']]) }}"
                                class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                style="color: #fff;">Acessar</a>
                        </div>
                    </div> <!-- cd-timeline__content -->
                @break
                {{-- ATIVIDADES --}}
                @case(5)

                    <div class="cd-timeline__content text-component">
                        <div class="row">
                            <div class="col s10 left-align">
                                <h2>{{ $rec['tituloAvaliacao'] }}</h2>
                                @if ($rec['inicioVisualizacao'] && $rec['fimVisualizacao'])
                                    <p>Disponível entre:
                                        {{ formataDataHora($rec['inicioVisualizacao'], 'd/m/y H:i') . 'h à ' . formataDataHora($rec['fimVisualizacao'], 'd/m/y H:i') }}h
                                    </p>
                                @endif
                            </div>
                            <div class="col s2 right-align">
                                @if ($rec['statusAcesso'] == 1)
                                    <i class="material-icons green-text">check_circle</i>
                                @else
                                    <i class="material-icons">panorama_fish_eye</i>
                                @endif
                            </div>
                        </div>
                        <div class="flex justify-between items-center">
                            <span class="cd-timeline__date"></span>
                            @if (in_array(Request::session()->get('matricula')['modalidade'], [1, 3]) && $rec['inicioVisualizacao'] <= date('Y-m-d H:i:s') && $rec['fimVisualizacao'] >= date('Y-m-d H:i:s'))

                                @if($feedback == 1 && isset($matNotas->percFrequencia) && $matNotas->percFrequencia >= 75)
                                    <a href="#finalizaAvaliacaos" class="btn waves-effect waves-light blue-grey darken-3 right-align" style="color: #fff;">Acessar</a>
                                @else
                                    <a href="{{ route('disciplina.recurso', [$rec['idRecurso']]) }}"
                                    class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                    style="color: #fff;">Acessar</a>
                                @endif
                            @endif
                            @if (Request::session()->get('matricula')['modalidade'] == 2)
                                @if($feedback == 1 && isset($matNotas->percFrequencia) && $matNotas->percFrequencia >= 75)
                                    <a href="#finalizaAvaliacaos" class="btn waves-effect waves-light blue-grey darken-3 right-align" style="color: #fff;">Acessar</a>
                                @else
                                    <a href="{{ route('disciplina.recurso', [$rec['idRecurso']]) }}"
                                    class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                    style="color: #fff;">Acessar</a>
                                @endif
                                
                            @endif
                        </div>
                    </div> <!-- cd-timeline__content -->

                @break
                {{-- LINK --}}
                @case(6)
                    <div class="cd-timeline__content text-component">
                        <div class="row">
                            <div class="col s10 left-align">
                                <h2>{{ $rec['tituloLink'] }}</h2>
                            </div>
                            <div class="col s2 right-align statusAcesso_{{ $rec['idRecurso'] }}">
                                @if ($rec['statusAcesso'] == 1)
                                    <i class="material-icons green-text">check_circle</i>
                                @else
                                    <i class="material-icons">panorama_fish_eye</i>
                                @endif
                            </div>
                        </div>
                        <div class="flex justify-between items-center">
                            <span class="cd-timeline__date"></span>
                            <a href="{{ $rec['urlLink'] }}"
                                class="btn waves-effect waves-light blue-grey darken-3 right-align" style="color: #fff;"
                                target="_blank" onclick="getAcessoLink({{ $rec['idRecurso'] }})">Acessar</a>
                        </div>
                    </div> <!-- cd-timeline__content -->
                @break
                {{-- FORUM --}}
                @case(7)
                    <div class="cd-timeline__content text-component">
                        <div class="row">
                            <div class="col s10 left-align">
                                <h2>{{ $rec['topicoForum'] }}</h2>
                            </div>
                            <div class="col s2 right-align">
                                @if ($rec['statusAcesso'] == 1)
                                    <i class="material-icons green-text">check_circle</i>
                                @else
                                    <i class="material-icons">panorama_fish_eye</i>
                                @endif
                            </div>
                        </div>
                        <p class="color-contrast-medium">{!! $rec['descForum'] !!}</p>
                        <div class="flex justify-between items-center">
                            <span class="cd-timeline__date"></span>
                            <a href="{{ route('disciplina.recurso', [$rec['idRecurso']]) }}"
                                class="btn waves-effect waves-light blue-grey darken-3 right-align"
                                style="color: #fff;">Acessar</a>
                        </div>
                    </div> <!-- cd-timeline__content -->
                @break
                @default

            @endswitch

        </div> <!-- cd-timeline__block -->

    @endif
    <div style="clear:both"></div>
    @empty

    @endforelse
