<meta name="csrf-token" content="{{ csrf_token() }}">

@extends('layouts.viewMoodle')

@section('title', 'Protocolos')
@section('breadcrumbs')
<div id="breadcrumbs-wrapper">    
    <div class="container">
        <div class="row">
            <div class="col s12 m12 l12">
                <h5 class="breadcrumbs-title">Protocolos</h5>
                <ol class="breadcrumbs">
                    <li><a href="{{ route('home.moodle') }}">Home</a></li>
                    <li class="active">Protocolos</li>
                </ol>
            </div>
        </div>
    </div>
</div>    
@stop

@section('content')

<a class="waves-effect waves-light btn modal-trigger" href="#solicitacao" >
    Solicitação
</a>

@include('includes.alerts')
<br /><br />
<b>Intruções</b>
<ol>
    <li>Solicitar apenas um protocolo por serviço;</li>
    <li>O aluno se responsabiliza pelo preenchimento de todos os campos de informações;</li>
    <li>Todas as solicitações terão um prazo limite de resposta;</li>
    <li>O prazo de resposta será contado a partir da data de confirmação do pagamento do boleto em até 2 dias úteis via banco;</li>
    <li>Caso o boleto não seja pago até o vencimento, o protocolo será cancelado automaticamente;</li>            
</ol>

<div class="table-responsive">
    <table class="striped">
        <thead>
            <tr>
                <th></th>
                <th>Código</th>
                <th>Solicitação</th>
                <th>Data Solicitação</th>
                <th>Prazo*</th>
                <th>Valor</th>
                <th>Status Processo</th>
                <th></th>
            </tr>
        </thead>
        <tbody>
            @forelse ($protocolos as $lnp)
            <tr>
                <td>
                    
                    @if ($lnp->statusProtocolo == 0 && $lnp->vctoBoleto >= date('Y-m-d') && $lnp->valorFatura > 0)
                        <a href="https://sis.estratego.site/boleto/{{ base64_encode(base64_encode(base64_encode($lnp->idBoleto))) }}" target="_blank" class="btn btn-xs btn-info"><i class="fa fa-barcode"></i> Boleto</a>
                    @endif                                
                </td>
                <td>{{ $lnp->codigoProtocolo }}</td>
                <td>{{ $lnp->tituloAssunto }}</td>
                <td>{{ date('d/m/Y', strtotime($lnp->created_at)) }}</td>
                <td>
                    @if($lnp->nivelUrgencia == 2)
                        2 dias úteis<br />
                        <span class="red-text">Urgente</span>
                    @else
                        {{ $lnp->prazoResposta }} dias úteis
                    @endif
                </td>
                <td>{{ number_format($lnp->valorFatura,2,',','.') }}</td>
                <td>
                    @if ($lnp->statusProtocolo == 0)
                        <span class="label label-warning">Aguardando Pagamento</span>    
                    @endif
                    @if ($lnp->statusProtocolo == 1)
                        <span class="label label-success">Pagamento Confirmado</span>    
                    @endif
                    @if ($lnp->statusProtocolo == 2)
                        <span class="label label-danger">Cancelado por falta de Pagamento</span>    
                    @endif
                    @if ($lnp->statusProtocolo == 3)
                        <span class="label label-primary">Encerrado</span>    
                    @endif
                    @if ($lnp->statusProtocolo == 4)
                        <span class="label label-primary">Isento</span>    
                    @endif
                </td>
                <td>
                    <a href="{{ route('moodle.protocolosshow', [$lnp->id]) }}" class="btn btn-sm btn-default"><i class="fa fa-inbox"></i> Ver</a>                            
                </td>
            </tr>   
            @empty
                <tr>
                    <td colspan="8">Você ainda não solicitou nenhum protocolo até o momento.</td>
                </tr>
            @endforelse                                                                                                              
    </table>
    <small>*Os prazos de respostas informados só começarão a contar a partir da confirmação do pagamento do Boleto.</small>
    
    <hr>

    <a href="{{ route('home.moodle') }}" class="btn btn-default btn-sm">Voltar</a>



<!-- Modal -->
<div id="solicitacao" class="modal bottom-sheet">
<form action="{{ route('moodle.cadProtocolo') }}" method="POST" enctype="multipart/form-data" id="frmCadProtocolo">
<div class="modal-content">
        {{ csrf_field() }}
      <div class="modal-header">
        Protocolo de Requerimentos
      </div>
      <div class="modal-body">
          <div class="formHD">
            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <label>Matrícula</label>
                        <input type="text" value="{{ $matricula->codMatricula }}" disabled class="form-control" />
                    </div>
                </div>
                <div class="col-md-8">
                    <div class="form-group">
                        <label>Aluno</label>
                        <input type="text" value="{{ $aluno->nomeAluno }}" disabled class="form-control" />
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label>Solicitação</label>
                        <select name="protocolo_assuntos_id" class="form-control" required="required" onchange="solicitacao(this.value)">
                            <option value="" disabled selected>Selecione</option>
                            @forelse ($assunto as $ass)
                                <option value="{{ $ass->id }}">{{ $ass->tituloAssunto }}</option>
                            @empty
                                
                            @endforelse
                        </select>
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label>Valor</label>
                        <input type="text" class="form-control valor" disabled /> 
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="form-group">
                        <label>Prazo*</label>
                        <input type="text" class="form-control prazo" disabled /> 
                    </div>
                </div>
            </div>
            <div class="row lnDisciplina" style="display: none">
                <div class="col-md-6">
                    <div class="form-group">
                        <label>Disciplina</label>
                        <select name="disciplina" class="form-control select2 slcDisciplina">
                            <option value="">Selecione</option>
                            @forelse ($disciplinas as $dsc)
                                <option value="{{ $dsc->nomeDisciplina }}">{{ $dsc->nomeDisciplina }}</option>
                            @empty                                
                            @endforelse
                        </select>
                    </div>
                </div>
                <div class="col-md-6"></div>
            </div>
            <div class="row">
                <div class="col-md-12 infoProtocolo"></div>
            </div>
            <div class="row">
                <div class="col-md-12">
                    <div class="form-group">
                        <label>Justificativa</label>
                        <textarea class="form-control" name="justificativaProtocolo"></textarea>
                        <small>Atenção! A informação descrita acima, deve estar obrigatoriamente relacionada a Solicitação selecionada.</small>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-md-2">
                    <div class="form-group">
                        <label>Prioridade</label>
                        <select name="nivelUrgencia" class="form-control nivelPrioridade" onclick="slcPrioridade(this.value)" disabled>
                            <option value="1">Normal</option>
                            <option value="2">Urgente</option>
                        </select>
                    </div>
                </div>
                <div class="col-md-10">
                    <div class="form-group">
                        <label>Arquivo Anexo</label>
                        <input type="file" name="upload" class="form-control" />
                    </div>
                </div>
            </div>
          </div>
          <div class="row">
              <div class="col-md-12">
                  <small>*Os prazos de respostas informados só começarão a contar a partir da confirmação do pagamento.</small>
              </div>
          </div>
          <div class="row">
              <div class="col-md-12 returnNivel"></div>
          </div>
        <!--</div>-->
      </div>
      
    
    </div>
    
    <div class="modal-footer">
        <small class="msg_returnProt"></small>
        <button type="button" class="modal-close waves-effect waves-red btn-flat">Fechar</button>
        <button type="submit" class="btn btn-primary btn-registro" onclick="desabilitaBtn()">Registrar</button>
      </div>
    </form>
</div>



 <!-- Modal Structure -->
 <div id="obsAviso" class="modal">
    <div class="modal-content">
      <h4>Atenção</h4>
      <p>As solicitações que possuem cobranças de Taxas, terão seus boletos disponíveis na rede Bancária para pagamento em até 24 horas.</p>
    </div>
    <div class="modal-footer">
      <a href="#!" class="modal-action modal-close waves-effect waves-green btn-flat">Fechar</a>
    </div>
  </div>


@stop

@section('js')
<script type="text/javascript">
$('#obsAviso').openModal();
function registrar(){
    
    var msg  = '<h3>Chamado Registrado com Sucesso!</h3>';
        msg += '<p>Seu chamado foi registrado com sucesso, seu tutor estará respondendo o mesmo em até <b>48</b> horas úteis.</p>'; 
    
    $('.formHD').html(msg);
    $('.btn-registro').css('display', 'none');
}
function solicitacao(id){
    $.ajax({
        headers: {
            'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
        },
        type: 'POST',
        data: {'assunto_id': id},
        url: "{{ route('slc.assunto') }}",
        beforeSend: function(){
            $('.prazo').val('...');      
            $('.valor').val('...');      
        },
        success: function(response){
            $('.prazo').val(response.prazoResposta + ' dias úteis');
            $('.valor').val('R$ ' + response.valorProtocolo.replace('.', ','));
            if(response.aceitaUrgencia == 1){
                $('.nivelPrioridade').removeAttr('disabled', 'disabled');
            }
            
            // verifica se a informações extras
            if(response.descricaoAssunto != null){
                $('.infoProtocolo').html('<pre><b>Atenção!</b><br /> ' + response.descricaoAssunto + '</pre>');
            }else{
                $('.infoProtocolo').html('');
            }
            // verifica disciplina
            if(response.necessitaDisciplina == 1){
                $('.lnDisciplina').css('display', 'block');
                $('.slcDisciplina').attr('required', 'required');
            }else{
                $('.slcDisciplina').removeAttr('required', 'required');
                $('.lnDisciplina').css('display', 'none');
            }
        },
        error: function(){
            $('.prazo').html('');
        }
    });
}
function slcPrioridade(nivel){
    if(nivel == 2){
        $('.returnNivel').html('<div class="alert alert-danger"><b>Atenção!</b> Ao solicitar Urgência em seu protocolo, será cobrada a taxa de Urgência no valor de R$ 60,00 para um prazo de 2 dias úteis.</div>');
    }else{
        $('.returnNivel').html('');
    }
}
function desabilitaBtn(){
    $('.btn-registro').attr('disabled', 'disabled');
    $('.msg_returnProt').html('Aguarde, registrando protocolo...');
    $('#frmCadProtocolo').submit();
}
</script>
@stop