@extends('layouts.viewMoodle')

@section('title', 'Suporte ao Aluno')

@section('breadcrumbs')
<div id="breadcrumbs-wrapper">    
    <div class="container">
        <div class="row">
        <div class="col s12 m12 l12">
            <h5 class="breadcrumbs-title">Acompanhamento de Chamado <b>num. {{ $chamado->codigoSolicitacao }}</h5>
            <ol class="breadcrumbs">        
                <li><a href="{{ route('home') }}">Início</a></li>
                <li class="active">Suporte ao Aluno</li>
            </ol>
        </div>
        </div>
    </div>
</div>
<!--breadcrumbs end-->
@stop

@section('content')

    @include('includes.alerts')

    @if ($chamado->statusSolicitacao == 2)
        <div id="card-alert" class="card green">
            <div class="card-content white-text">
                <p>Sua solicitação foi respondida pelo seu Tutor(a), caso sua dúvida não tenha sido sanada, fique à vontade para abrir outra solicitação!</p>
            </div>
            <button type="button" class="close white-text" data-dismiss="alert" aria-label="Close">
                <span aria-hidden="true">×</span>
            </button>
        </div>            
    @endif


<div class="row">
    <div class="col s3">
        <label>Assunto:</label><br />
        {{ $assunto->tituloAssunto }}
    </div>
    <div class="col s3">
        <label>Data Chamado:</label><br />
        {{ date('d/m/Y', strtotime($chamado->created_at)) }}
    </div>
    <div class="col s3">
        <label>Status:</label><br /> 
        @if($chamado->statusSolicitacao == 0)
            <span class="label label-default">Em Aberto</span>
        @endif
        @if($chamado->statusSolicitacao == 1)
            <span class="label label-primary">Em Andamento</span>
        @endif
        @if($chamado->statusSolicitacao == 2)
            <span class="label label-success">Respondido</span>
        @endif
    </div>
    <div class="col s3">
        @if ($dataResposta)
            <label>Data Resposta:</label> 
            {{ date('d/m/Y', strtotime($dataResposta->created_at)) }}
        @endif
    </div>
</div>
<div class="row">
    <div class="col s12">
        <label>Descrição:</label><br />
        {{ $chamado->descSolicitacao }}
    </div>
</div>
<div class="row">
    <div class="col s12">
        <label>Anexos:</label>
        <ul class="mailbox-attachments clearfix">
            @forelse ($anexos as $anx)
            <li>
                <span class="mailbox-attachment-icon"><i class="fa fa-file-o"></i></span>
                <div class="mailbox-attachment-info">
                    <a href="{{ asset('/storage/arquivos/suporte/'.$anx->nomeArquivo) }}" class="mailbox-attachment-name" target="_blank"><i class="fa fa-paperclip"></i> {{ $anx->nomeArquivo }}</a>
                        <span class="mailbox-attachment-size">   
                            .
                        <a href="{{ asset('/storage/arquivos/suporte/'.$anx->nomeArquivo) }}" class="btn btn-default btn-xs pull-right" target="_blank"><i class="fa fa-cloud-download"></i></a>
                        </span>
                </div>
            </li>
            @empty
                Não foram anexados arquivos nesta solicitação.
            @endforelse
        </ul>
    </div>
</div>

<div class="row">
    <div class="col s12">
        <b>Resposta:</b><br />
        @if (count($mensagem ) == 0)
            Seu tutor ainda não respondeu sua solicitação.
        @endif

        <ul class="timeline">
                @forelse ($mensagem as $msg)
                    
                <!-- timeline time label -->
                <li class="time-label">
                    <span class="bg-green">
                    {{ date('d/m/Y', strtotime($msg->created_at)) }}
                    </span>
                </li>
                <!-- /.timeline-label -->
                <!-- timeline item -->
                <li>
                    <i class="fa fa-envelope bg-blue"></i>
                    <div class="timeline-item">
                        <span class="time"><i class="fa fa-clock-o"></i> {{ date('H:s', strtotime($msg->created_at)) }}</span>
                        <h3 class="timeline-header"><a href="#">{{ $msg->name }}</a></h3>

                        <div class="timeline-body">
                            {!! $msg->msgResposta !!}
                        </div>
                        <div class="timeline-footer">
                            @if($msgAnexo && $msgAnexo->suporte_mensagens_id == $msg->id)
                            <ul class="mailbox-attachments clearfix">
                                <li>
                                    <span class="mailbox-attachment-icon"><i class="fa fa-file-o"></i></span>
                                    <div class="mailbox-attachment-info">
                                        <a href="https://fac.estratego.site/storage/arquivos/suporte/{{ $msgAnexo->nomeArquivo }}" class="mailbox-attachment-name" target="_blank"><i class="fa fa-paperclip"></i> {{ $msgAnexo->nomeArquivo }}</a>
                                            <span class="mailbox-attachment-size">   
                                                .
                                            <a href="https://fac.estratego.site/storage/arquivos/suporte/{{ $msgAnexo->nomeArquivo }}" class="btn btn-default btn-xs pull-right" target="_blank"><i class="fa fa-cloud-download"></i></a>
                                            </span>
                                    </div>
                                </li>
                            </ul>
                            @endif
                        </div>
                    </div>
                </li>
                @empty
                @endforelse
                
            </ul>

    </div>
</div>
<hr>
<div class="row">
    <div class="col s12">
        <a href="{{ route('suporte.home') }}" class="btn btn-default btn-sm">Voltar</a>
    </div>
</div>


@stop
